unit DlgConfiguration;

{ Network Drawing program }

{ By Phil Marty <phmarty@yahoo.fr> }

{
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
}

{
Configuration dialog
}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Main;

type
  TDlgConf = class(TForm)
    CheckBox2: TCheckBox;
    RadioGroup1: TRadioGroup;
    CheckBox3: TCheckBox;
    Button1: TButton;
    procedure CheckBox2Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

implementation

{$R *.DFM}

procedure TDlgConf.CheckBox2Click(Sender: TObject);
begin
SelectLineWithNodes:=CheckBox2.Checked;
end;

procedure TDlgConf.RadioGroup1Click(Sender: TObject);
begin
LineWithComponent:=RadioGroup1.ItemIndex;
if LineWithComponent=1 then
   begin
   CheckBox2.Checked:=True;
   SelectLineWithNodes:=CheckBox2.Checked;
   end;
end;

procedure TDlgConf.CheckBox3Click(Sender: TObject);
begin
AutoConnect:=CheckBox3.Checked;
end;

end.
