unit DlgComponentList;

{ Network Drawing program }

{ By Phil Marty <phmarty@yahoo.fr> }

{
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Main;

type
  TComponentList = class(TForm)
    ListBox1: TListBox;
    procedure ListBox1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  ComponentList: TComponentList;

implementation

{$R *.DFM}

procedure TComponentList.ListBox1Click(Sender: TObject);
var
   i:Integer;
   MyName:string;
   MyObjet:TObjet;
begin
ListOfSelectedObjets.UnSelect;

MyName:='';
for i:=0 to ListBox1.Items.Count-1 do
   if ListBox1.Selected[i] then MyName:=ListBox1.Items[i];
if MyName='' then ShowMessage('Error : Name not found');
MyObjet:=GetObjetByName(MyName);
MyObjet.Select;
MyObjet.Draw;
//Refresh;
end;

end.
