unit Main;

interface

{ Network Drawing program }

{ By Phil Marty <phmarty@yahoo.fr> }

{
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
}

{
DONE / TODO (sorry, it is easier for me in french !) :
********************************************************************************
********************************************************************************
********************************************************************************
Debut du projet : fin 2003

Lot 1 - Dessin de composants et lignes (environs 10 mois) :

- Premire mise en place des composants et lignes              // fait

- Multi Selection                                              // fait
   - Outil de slection rectangulaire                          // fait
   - Uniquement pour 1 seul objet                              // fait
   - Slection multiple par rectangle                          // fait
   - Dplacement multiple                                      // fait
   - Slection multiple par touche ctrl ou shift               // fait

- Mise en place des modes Dessin/Deplacement                   // fait

- Petit Noeud quand on clique en mode ligne dans le vide
   - Ajouter proprit Big  l'objet noeud                     // fait
   - Dessiner le noeud si Big = true                           // fait
   - Mettre Big  true sur les noeuds des composants           // fait
   - Nouveau noeud Small si on clique dans le vide en          // fait
     mode ligne + Ligne entre les 2
   - Deplacement des noeuds invisibles en mode deplacement     // fait

- Crer des noms systme pour les objets et afficher la liste  // fait

- Dplacement des lignes en mode dplacement
   - Slection pour dplacement du ou des noeuds connection
     suivant option de configuration                           // fait
   - Creation de 1 ou 2 noeud si la ligne est attachee a
     des composants ? On on deplace les composants ?
     On fait rien ? Suivant option de configuration ?          // fait
   - Suppression de 1 ou 2 noeud si on droppe la ligne sur
     les anciens noeuds cres / Doublon avec l'item suivant ?  // non ? <------
                                                                               |
- Grer une liste globale des noeuds pour l'item suivant       // fait         |
                                                                               |
- Mode auto-attache simplifi avec comportement identique pour // fait         |
  tous les noeuds avec 2 options :                                             |
   - Ne rien faire                                                             |
   - Crer une ligne entre les 2 noeuds                                        |
  Autre option : Suprimmer des noeuds pour en faire 1 seul---------------------

- Gros problme : Quand on clique sur une ligne connecte  un
  composant, ca cre automatiquement un ligne+connexion !
  Que faire ? Le supprimmer quand on relache la souris         // fait

- Selectionner les objets quand on clique dessus dans la liste // fait

- Pb quand on clique sur un ligne en mode dessin de ligne      // corrig
- Pb selection par rectangle inversee                          // corrig

- Oubli de la gestion des noeuds -> tracer tous les noeuds     // fait
   - Crer un objet de gestion des noeuds                      // fait
   - Remplacer la gestion actuelle par l'objet pour la
     cration des noeuds                                       // fait
   - Grer correctement la suppression des noeuds              // fait

- Ne pas pouvoir crer une ligne entre une connexion et        // fait
  elle-mme ou un noeud de composant et lui-meme
  Traduction simple : pas de ligne de longueur nulle !
  Ajout d'une mthode longeur de ligne

- Toujours dessiner les composants au dessus
  mme en cas de deplacement de lignes                         // fait

- Ne pas dessiner de nouvelle ligne l ou il y en a dj une   // fait

- Problme quand on clique sur une ligne ou un composant
  quand on est en train de dessiner une ligne                  // corrig

- Ne pas avoir le curseur de dplacement quand on passe sur
  un composant en dessinant une ligne                          // fait

- Ne pas dropper de composants en mode dplacement             // fait

- Crer une Connexion+Ligne en mode dessin quand aucun
  composant n'est slectionn
  Supprimmer la connexion si annulation de la ligne
  Non car on prfere pouvoir slectionner par rectangle        // non

- Sauvegarde / Chargement du schma en xml                     // fait

- Ajouter info pas de la grille dans les fichiers              // fait

- Ajout auto d'un noeud/nouvelle ligne quand on clique sur     // fait
  une ligne existante en mode dessin

- Les lignes disparraissent quand on clique dessus en mode     // corrig
  deplacement

- Suprimmer la BackImageSave et la crer dynamiquement         // fait

- Traduire l'IHM en anglais                                    // fait

********************************************************************************
********************************************************************************
********************************************************************************

Dbut du lot vers septembre 2004

Lot 2 - Premier moteur simple de simulation (environs 3 mois) : Calcul DC

- Ajouter composant source de tension                          // fait
- Ajouter composant terre/masse                                // fait

- Gerer les parametres de composants                           // fait
- Creer IHM des composant  partir de pop_dlgstandard de       // fait
  TeleAuto

- Fenetre de dialogue d'entree des parametres                  // fait

- Problme de dplacement aprs double clic                    // Corrig

- Generer la net liste (Creer les noeud electriques a
  partir des noeud du schema)
  - Agrgation des noeuds                                      // fait
  - Liste des noeuds / Composant / Numro de noeud             // fait
  - Liste des composants et de leur caractristique            // fait

- Gerer les parametres et leurs valeurs dans les .sch          // fait

- Creer un objet listant tous les composants                   // fait

- Crer la matrice                                             // fait

- Ecrire la methode de rsolution de Gauss-Jordan              // fait

- Ecrire le moteur de resolution                               // fait

- Creer TComment pour afficher des commentaires et les infos   // fait
  - Gerer la ligne avec le composant                           // fait 10/01/05

- Gerer l'affichage des courants et tensions
  - Afficher infos                                             // fait
  - Aficher les index des noeuds des composants                // fait

- Interdire 2 neutres                                          // fait 10/01/05

- Nettoyer l'interface
  - Mettre la liste des composants dans un fentre spare     // fait 10/01/05
  - Mettre la configuration dans un fentre spare            // fait 10/01/05

- Autoriser seulement certains composants par moteur           // fait 10/01/05

- Releaser FendiDC                                             // fait 12/01/05

- Probleme avec les lignes de commentaires quand elle          // corrig 17/01/05
  sont cachees
- Probleme de swicth des infos                                 // corrig 17/01/05

********************************************************************************
********************************************************************************
********************************************************************************

Lot 3 Mise en plugin des moteurs et deuxime moteur simple : Calcul AC monophas

Principe :
  Le plugin Simulation comprendra la librairie 'moteur' et les librairies
  'composants correspondantes' dans un rpertoire dfini plac dans un repertoire
  nomm 'engines'. Il vaut mieux ne pas separer les composants compatibles et le
  moteur de simulation correspondant, sinon, ca va serieusement compliquer les
  choses !
  Oulla, non ! C'est nul car on ne pourra pas bneficier de la possibilit de
  simuler plusieurs choses avec le mme rseau. C'est plus compliqu mais if faut
  dcoupler les composants et les moteurs de simulation. C'est au moteurs de
  simu de se dbrouiller en fonction des numros de composant et de leurs
  parametres. Les composants sont figs et chaque composant devra disposer d'un
  numro d'identification unique. Le moteur donneront la liste des composant
  utilisables. Si un reseau contient un composant inconnu, le moteur refusera
  de marcher et retournera une erreur.

Un des buts est de faciliter le travail des programmeurs des moteurs de simulation
car a priori, ce sont plus des physiciens que des programmeurs. Donc il faut
mettre un maximum de programmation difficile dans l'interface.

- Mettre le moteur dans un objet                               // fait 21/01/05
  - Crer l'objet moteur de simulation TEngine                 // fait 21/01/05
  - Definir l'interface d'entre dcrivant le rseau           // fait 21/01/05
    Un texte identique a une sauvegarde du reseau mais
       - Sans les positions
       - Avec agglomeration des noeuds en noeuds lectriques
       - Avec les liens entre les noeuds
  - Definir l'interface de sortie dcrivant les resultats      // fait 21/01/05
    Un fichier texte avec les resultat pour chaque composant
  - Changement pour un pointeur sur un tableau de PChar        // fait 28/01/05 -> enlev car access violations et j'arrive pas  corriger

- Mettre le moteur dans une librairie                          // fait 01/02/05

- Ecrire le mcanisme de slection d'un moteur                 // fait 03/02/05

- Problme d'criture du rseau : On ecrit les TComment        // corrig 04/02/05
  et ca fait planter au chargement => Suppression de
  l'ecriture des TComment

- Grer les entres multiples dans les dialogues composants    // fait 07/02/05

- Ecrire le premier moteur AC
  - Creer le composant SourceAC                                // fait 04/02/05
  - Creer le composant Inductor                                // fait 07/02/05
  - Remette le capacitor disponible                            // fait 07/02/05
  - Ajouter les composant dans le moteur AC                    // fait 07/02/05
  - Adapter le moteur aux calculs complexes sans adaptation    // fait 04/02/05
    de l'ihm
    - Creation d'un type de rsultat en retour                 // fait 07/02/05
    - Creation du type Complex avec affichage dpendant du     // fait 08/02/05
      type-> Plugin a prvoir ?
    - Ecriture de l'ihm
  - Tenir compte de la frquence du rseau                     // fait 07/02/05
  - Ecrire le mcanisme des paramtres moteur                  // fait 10/02/05
    (pour la frquence)
  - Passer les resultats en Module/Phase pour les complexes    // fait 15/02/05

- Grer les units dans les dialogues composants               // fait 11/02/05

- Ecrire un premier mcanisme simple moteur et ihm d'affichage // fait 11/02/05
  des composants utilisables

- Une fentre apparait quand on clique sur un TComment         // corrig 11/02/05

- A la deuxime simu DC/AC, le moteur trouve 2 neutres         // corrig 14/02/05
  et plante

- Le moteur 1 tait compltement faux : On ne peut pas         // corrig 15/02/05
  sparer les parties relle et complexes dans la rsolution

- Le moteur DC tait completement faux                         // corrig 16/02/05

- Afficher le nom du rseau en cours                           // fait 16/02/05

- Problme de dessin de ligne quand on dplace les info d'une  // corrig 16/02/05
  capa

- Aprs un simu, si on changer et simule un nouveau rseau,    // corrig 16/02/05
  a plante

- Grer la compatibilit des composants avec le moteur         // fait 16/02/05
  - Afficher un message si le rseau charg contient un        // fait 16/02/05
    composant incompatible avec le moteur
  - Afficher un message si le moteur est incomptable avec      // fait 16/02/05
    un composant du rseau dj charg au changement de
    moteur
  - Afficher un message si le moteur est incomptable avec      // fait 16/02/05
    un composant du rseau dj charg au lancement du
    moteur

- Grer les units des rsultats                               // fait 16/02/05

- Problme de dessin de ligne quand on dplace un composant    // corrig 16/02/05
  auquel est dj raccord une info

- Modifier les moteurs pour simuler tous les courants dans     // fait 17/02/05
  les composants
  - Moteur DC                                                  // fait 17/02/05
  - Moteur AC                                                  // fait 17/02/05

- Raparition des ligne fantomes                               // corrig 17/02/05

- Creation du composant Transformer                            // fait 21/02/05
  - Modification du moteur AC                                  // fait 21/02/05
  - Ajout dans l'interface                                     // fait 21/02/05
  - Debug -> gros problme : La matrice est pas bonne. Il      // fait 21/02/05
    faudrait mettre une des branches du secondaire  la terre
    et enlever un equation des noeuds mais au bon endroit !
    Non, le calcul est juste c'est  l'utilisateur de lever
    l'indtermination en connectant lui mme un noeud  la
    masse        

- Supression des parenthses si pas d'units dans les          // fait 21/02/05
  dialogues des composants

- Ajout d'une fonction de recupration des erreurs dans les    // fait 21/02/05
  moteurs

- Crer une ligne (3 phases avec mutuelle)                     // fait 22/02/05
  - Modifier le moteur AC                                      // fait 22/02/05
  - Ajouter le composant                                       // fait 22/02/05

- Crer un multiple :
  - Ajouter les tableaux dans l'interface                      // fait 22/02/05
  - Modifier le moteur AC
  - Ajouter le composant

- Enregistrer le nom du rseau et crer le menu Save           // fait 22/02/05

- Releaser la V0.3

- Ecrire la premiere doc utilisateur
- Ecrire la premire doc dveloppeur

********************************************************************************
********************************************************************************
********************************************************************************

Lot X - Plugin de visu/traitement/analyse des rsulats de simu en fonction
        des type de rsultats : Rels / Complexes / Courbes .....    ???????

********************************************************************************
********************************************************************************
********************************************************************************

Lot 4 - Fonction avances :

- Plateau plus grand que la fenetre
- Gestion du zoom
- Rotation / Miroirs
- Slection des lignes meme quand on trace un rectangle de
  slection qui n'englobe pas une des extrmits
- Liens invisibles
- Copier / Coller
- Mettre les composants dans une librairie
- Lignes non inclines + dplacement + ajout de noeud auto // Gros boulot
  -
  -
  -
  -
  -
- Undo
- Transformer ListeObjets de TList en nouvel objet
  ( pre de TListeObjetsSelect ? )
- Multiphas
  -> Ajouter une proprit nombre de phases et une proprit numro de
  phase aux lignes et les dessiner diffrement :
  Multiphas = gras / Monophas = color en fonction de la phase
  -> grer le changement du nb de phases
- Blocs hierarchiques / liens de bloc hierarchiques
- Dialogues custom de composants ?
- Dialogues auto de blocs hierarchiques
- Dialogues custom de blocs hierarchiques ?
- Calcul et affichage des courants dans les lignes
- Affichage des tensions sur les noeuds / lignes
- Sauvegarde des infos calcules dans le fichier
- Grer les neutres multiples = agrger en 1 seul noeud
- Dtecter les court circuits de composants
- Rdiger un rapport de rsultats de simu global
- Menu contextuel par composant pour affichage/cacher des infos
- Afficher/Cacher les noms des composants

********************************************************************************
********************************************************************************
********************************************************************************

Lot 5 - Module de dessin de composant

********************************************************************************
********************************************************************************
********************************************************************************

Lot 6 - Fonctions trs avances ou peu utiles :

- Composants redimensionnables
- Composant dont l'aspect change suivant leur tat
- Parametres globaux et locaux aux BH
- Mieux coller  la forme des composants pour la slection
- Outils d'alignement
- Mise en valeur des superpositions
- Construire au fur et a mesure un carte d'occupation des pixels pour
  acclerer le trac de lignes ? -> sera certainement a faire.
- Noms externes dans les composants (EMTP)
- Donnes externes dans les composants (EMTP)
- Petits ponts au croisement de 2 lignes

********************************************************************************
********************************************************************************
********************************************************************************

Rflexions :

- Problematique de la diffrence des modes Dessin/Dplacement :
  Faut il separer les actions de deplacement des actions de tracer comme dans Arene ?
    - Dans ARENE, on deplace les noeuds mais pas les lignes
      Dans EMTP, on ne deplace pas les noeuds mais les lignes
    - Dans ARENE, les noeuds intermdiares sont visibles
      Dans EMTP, les noeuds intermdiaires sont invisibles
    - Dans ARENE, on debute une ligne uniquement sur un noeud et en mode tracer
      Dans EMPT, on debute une ligne sur un noeud ou une ligne en mode tracer, sur un
      noeud (petit ou pas) en mode deplacement.
  SOLUTION : quand on clique sur une ligne, soit on la dplace soit on cre un nouveau
  noeud.
  Il y a separation dans les 2 logiciels ARENE et EMTP mais on peut tracer en mode
  deplacement dans EMTP si on debute sur le neud d'un composant ou sur les angles des
  lignes (=noeud invisible).

Dans Fendi, la sparation entre modes dessin et dplacement est plus claire :
  - En mode dplacement on peut dplacer les noeuds et les lignes
  - En mode dessin on peut dbuter une ligne sur un noued ou une ligne

********************************************************************************
********************************************************************************
********************************************************************************

Moteurs possibles
- Calcul en DC
- Calcul monophas en AC
- Calcul triphas en AC avec composantes symtriques
- Calcul de loadflow
- Calcul de stabilit (AC + temporel)
- Calcul de transitoires lectromagntiques
- Calcul d'harmoniques

********************************************************************************
********************************************************************************
********************************************************************************

Doc :

Comment ajouter un composant ?
1) Copier coller la dclaration d'un composant existant comme TResistor et le renommer
2) Copier coller les methodes de ce mme composant existant et toutes les renommer
3) Choisir un nouveau type et changer le SetType('Resistor'); dans le Create
4) Changer le nombre de noeuds cres et leur position dans le Create
5) Choisir un nouveau nom gnrique et changer le Result:='Resistor'; dans GetGenericName
6) Changer la taille : Sx:=64; Sy:=16; dans SetPosition Sx=Largeur Sy=hauteur
7) Changer le dessin entre les commentaires : // Here begin the drawing et : // Here end the drawing
8) Ajouter une constante commencant par nc  la liste des constantes en debut de
   Main.pas et dans tous les moteurs
9) Ajouter la creation du nouveau composant dans la procedure Image1MouseDown
   dans le genre : ncResistor :ComponentUnder:=TResistor.Create(Image1);
10) Ajouter un SpeedButton dans l'interface
11) Ajouter dans le MouseDown du SpeedButton la nouvelle constante : ComponentType:=ncResistor;
12) Ajouter le code  d'affichage en fonction du moteur de simu dans UpdateGUIForEngine
13) Mettre a jour les fonctions AllowedComponent dans tous les moteurs de simu
14) Ajouter la creation du composant dans Charger1Click

}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ColorGrd, ExtCtrls, Menus, Buttons, StdCtrls, Spin, General, Math;

const

   // Component constants in a separated file to share it with engines
   {$I 'CompoConst.lst'}

   // Parameter type constants
   ncReal    = 0;
   ncComplex = 1;

   SelectMargin=3;
   NodeSize=2;
   MaxLines=1000;

type
  // Type used to communication between Fendi and the engines
  // It is quite a text file
  TComm=record
    Count:Integer; // 32 bits
    Lines:array[0..MaxLines-1] of Pchar;
    end;
  PComm=^TComm; // Pointer
// In C :
// MaxCommand=100 ;
// Struct TParamCCD {
//    Int   NbreParam;
//    Char  *Param[MaxCommand];
// } *PParamCCD ;

//function Execute(var Comm:PComm):Boolean;
//  TExecute = function(var Comm:PComm):Boolean;
  TExecute              = function:Boolean;
  TAllowedComponent     = function(Number:Integer):Boolean;
  TGetParamCount        = function:Integer;
  TGetParamName         = function(i:Integer):PChar;
  TGetParamUnit         = function(i:Integer):PChar;
  TSetParamValue        = procedure(i:Integer;Value:Double);
  TGetParamDefaultValue = function(i:Integer):Double;
  TGetErrorMsg          = function:PChar;


  TObjet=class
    Name:string;
    ObjetType:Integer;

    NbInfosReal:Integer;
    NbInfosComplex:Integer;    
    InfoName:array[0..10] of string;                // Will be dynamic later
    InfoType:array[0..10] of Integer;               // Will be dynamic later
    InfoUnit:array[0..10] of string;                // Will be dynamic later
    InfoRealValue:array[0..10] of Double;           // Will be dynamic later
    InfoComplexRealValue:array[0..10] of Double;    // Will be dynamic later
    InfoComplexComplexValue:array[0..10] of Double; // Will be dynamic later
    Father:TObjet;

    function  GetName:string;
    procedure SetName(NewName:string);
    function  GetType:Integer;
    procedure SetType(NewType:Integer);
    procedure SetInfoUnit(i:Integer;_InfoUnit:string);
    function  GetInfoUnit(i:Integer):string;
    function  GetGenericName:string; virtual; abstract;
    function  IsUnder(x,y:integer):boolean; virtual; abstract;
    procedure Select; virtual; abstract;
    function  ObjetIsInRectangle(X1,Y1,X2,Y2:Integer):Boolean; virtual; abstract;
    procedure Draw; virtual; abstract;

    procedure SetInfosRealCount(Count:Integer);
    function  GetInfosRealCount:Integer;
    procedure SetInfosComplexCount(Count:Integer);
    function  GetInfosComplexCount:Integer;
    procedure SetInfoName(i:Integer;_InfoName:string);
    function  GetInfoName(i:Integer):string;
    procedure SetInfoType(i:Integer;_InfoType:Integer);
    function  GetInfoType(i:Integer):Integer;
    procedure SetInfoRealValue(i:Integer;Value:Double);
    function  GetInfoRealValue(i:Integer):Double;
    procedure SetInfoComplexValue(i:Integer;RealPart,ComplexPart:Double);
    procedure GetInfoComplexValue(i:Integer;var RealPart,ComplexPart:Double);
    procedure SetShowValues(Show:Boolean); virtual;
  end;

  TListOfComponents=class
     Liste:TList;
     constructor Create;
     destructor Destroy; override;
     procedure Add(Component:TObjet);
     function  Get(i:Integer):TObjet;
     function GetByName(Name:string):TObjet;
     procedure Delete(Component:TObjet);
     function  Count:Integer;
     function  ActiveCount:Integer;
     procedure Clear;
  end;

  TListOfSelectedObjets=class
     ListeSelect:TList;
     constructor Create;
     destructor Destroy; override;
     procedure Select(Objet:TObjet;X,Y:Integer);
     procedure SetDeltaCursor(X,Y:Integer);
     function  Count:Integer;
     function  GetObjet(i:Integer):TObjet;
     procedure Draw;
     procedure Move(X,Y:Integer;ColleGrille:Boolean);
     function  IsSelected(Objet:TObjet):Boolean;
     function  ConnectedLine(Line:TObjet):Boolean;
     procedure UnSelect;
     procedure UnSelectObjet(Objet:TObjet);
     procedure Delete;
     procedure DeleteObjet(Objet:TObjet);
     procedure SelectRectangle(X1,Y1,X2,Y2:Integer);
     procedure Clear;
  end;

  TNode=class(TObjet)
    Image:TImage;
    PosX,PosY:integer;
    DPosX,DPosY:Integer;
    Rayon:Integer;
    Selected:Boolean;
    Big:Boolean;
    Invisible:Boolean;
    IntListeLines:TList;
    Father:TObjet;
    Checked:Boolean;
    Number:Integer;
    constructor Create(_Image:TImage);
    function  GetGenericName:string; override;
    procedure DrawLines;
    procedure DrawLinesNonSelect;
    function  IsConnectedToLine(_Line:TObjet):Boolean;
    procedure SetPosition(_PosX,_PosY:integer);
    procedure SetDeltaPosition(_DPosX,_DPosY:Integer);
    procedure GetPosition(var _PosX,_PosY:Integer);
    procedure GetRealPosition(var _PosX,_PosY:integer);
    procedure SetRealPosition(_PosX,_PosY:integer);
    procedure Draw; override;
    function  IsUnder(x,y:integer):boolean; override;
    procedure Select; override;
    procedure UnSelect;
    procedure SetBig;
    procedure SetSmall;
    procedure SetInvisible;
    procedure SetLine(_Lien:TObjet);
    procedure UnsetLines(_Lien:TObjet);
    procedure UnsetAllLines;
    procedure DelLines;
    function  ObjetIsInRectangle(X1,Y1,X2,Y2:Integer):Boolean; override;
    procedure SetChecked(_Checked:boolean);
    function  GetChecked:Boolean;
    function  LinesCount:Integer;
    function  GetLine(i:Integer):TObjet;
    procedure SetNumber(_Number:Integer);
    function  GetNumber:Integer;
    procedure SetFather(_Father:TObjet);
    function  GetFather:TObjet;
  end;

  TNodesList=class
     NodesList:TList;
     constructor Create;
     destructor Destroy; override;
     function  Count:Integer;
     procedure Add(Node:TNode);
     procedure Clear;
     function  Get(i:Integer):TNode;
     procedure Delete;
     procedure DeleteNode(Node:TNode);
     function  GetUnder(X,Y:Integer):TNode;
  end;

  TLine=class(TObjet)
    Image:TImage;
    Selected:Boolean;
    Invisible:Boolean;
    XLineBeg,YLineBeg:Integer;
    XLineEnd,YLineEnd:Integer;
    Dx,Dy:Integer;
    NodeBegin,EndNode:TObjet;
    DSelX,DSelY:Integer;
    constructor Create(_Image:TImage);
    function  GetGenericName:string; override;
    procedure Draw; override;
    procedure SetInvisible(Value:Boolean);
    function  IsUnder(x,y:integer):boolean; override;
    procedure Select; override;
    procedure UnSelect;
    procedure SetNodeBegin(Node:TObjet);
    procedure SetNodeEnd(Node:TObjet);
    function  GetNodeBegin:TObjet;
    function  GetNodeEnd:TObjet;
    procedure UnSetNodes;
    procedure UnSetNodeBegin;
    procedure UnSetEndNode;
    procedure SetDeltaSelect(_X,_Y:Integer);
    procedure GetDeltaSelect(var _DSelX,_DSelY:Integer);
    procedure GetPosition(var _PosX,_PosY:integer); virtual;
    procedure SetPosition(_PosX,_PosY:integer); virtual;
    function  Length:Double;
    function  ObjetIsInRectangle(X1,Y1,X2,Y2:Integer):Boolean; override;
    function  GetOtherNode(Node:TNode):TNode;
  end;

  TMyComponent=class(TObjet)
    Image:TImage;
    Infos:TObjet;
    PosX,PosY,Sx,Sy:Integer;
    Selected:Boolean;
    Orientation:Byte;
    NodesList:TList;
    DSelX,DSelY:Integer;
    NbParameter:Integer;
    ParameterName:array[0..10] of string; // Will be dynamic later
    ParameterUnit:array[0..10] of string; // Will be dynamic later
    Parameter:array[0..10] of Double;     // Will be dynamic later
    ShowNodeIndex:Boolean;
    NodeComment:TNode;

    constructor Create(_Image:TImage); virtual;
    procedure DrawLines;
    procedure DrawLinesNonSelect;
    function  IsConnectedToLine(Line:TLine):Boolean;
    procedure SetPosition(_PosX,_PosY:integer); virtual;
    procedure GetPosition(var _PosX,_PosY:integer); virtual;
    procedure SetDimension(_Sx,_Sy:integer);
    procedure Draw;  override;
    function  IsUnder(x,y:integer):boolean; override;
    function  IsNodeUnder(x,y:integer):TNode;
    procedure Select; override;
    procedure UnSelect;
    procedure SetOrientation(_Orientation:Byte);
    procedure DelLines;
    procedure FreeNodes;
    procedure SetDeltaSelect(_X,_Y:Integer);
    procedure GetDeltaSelect(var _DSelX,_DSelY:Integer);
    function  ObjetIsInRectangle(X1,Y1,X2,Y2:Integer):Boolean; override;
    function  GetNode(i:Integer):TNode;
    procedure SetShowValues(Show:Boolean); override;
    procedure SetShowNodeIndex(Show:Boolean);

    procedure SetParametersCount(Count:Integer);
    function  GetParametersCount:Integer;
    procedure SetParameterName(i:Integer;_ParameterName:string);
    function  GetParameterName(i:Integer):string;
    procedure SetParameterUnit(i:Integer;_ParameterUnit:string);
    function  GetParameterUnit(i:Integer):string;
    procedure SetParameterValue(i:Integer;Value:Double);
    function  GetParameterValue(i:Integer):Double;
  end;

  TComment=class(TMyComponent)
    Text:TStringList;
    constructor Create(_Image:TImage);
    function  GetGenericName:string; override;
    procedure SetPosition(_PosX,_PosY:integer); override;
    procedure GetPosition(var _PosX,_PosY:integer); override;
    procedure AddLine(Line:string);
    procedure Draw; override;
    procedure Clear;
  end;

  TSourceDC=class(TMyComponent)
    constructor Create(_Image:TImage); override;
    function  GetGenericName:string; override;
    procedure SetPosition(_PosX,_PosY:integer); override;
    procedure GetPosition(var _PosX,_PosY:integer); override;
    procedure Draw; override;
  end;

  TSourceAC=class(TMyComponent)
    constructor Create(_Image:TImage); override;
    function  GetGenericName:string; override;
    procedure SetPosition(_PosX,_PosY:integer); override;
    procedure GetPosition(var _PosX,_PosY:integer); override;
    procedure Draw; override;
  end;

  TNeutral=class(TMyComponent)
    constructor Create(_Image:TImage); override;
    function  GetGenericName:string; override;
    procedure SetPosition(_PosX,_PosY:integer); override;
    procedure GetPosition(var _PosX,_PosY:integer); override;
    procedure Draw; override;
  end;

  TCapacitor=class(TMyComponent)
    constructor Create(_Image:TImage); override;
    function  GetGenericName:string; override;
    procedure SetPosition(_PosX,_PosY:integer); override;
    procedure GetPosition(var _PosX,_PosY:integer); override;
    procedure Draw; override;
  end;

  TResistor=class(TMyComponent)
    constructor Create(_Image:TImage); override;
    function  GetGenericName:string; override;
    procedure SetPosition(_PosX,_PosY:integer); override;
    procedure GetPosition(var _PosX,_PosY:integer); override;
    procedure Draw; override;
  end;

  TInductor=class(TMyComponent)
    constructor Create(_Image:TImage); override;
    function  GetGenericName:string; override;
    procedure SetPosition(_PosX,_PosY:integer); override;
    procedure GetPosition(var _PosX,_PosY:integer); override;
    procedure Draw; override;
  end;

  TTransformer=class(TMyComponent)
    constructor Create(_Image:TImage); override;
    function  GetGenericName:string; override;
    procedure SetPosition(_PosX,_PosY:integer); override;
    procedure GetPosition(var _PosX,_PosY:integer); override;
    procedure Draw; override;
  end;

  TZLine=class(TMyComponent)
    constructor Create(_Image:TImage); override;
    function  GetGenericName:string; override;
    procedure SetPosition(_PosX,_PosY:integer); override;
    procedure GetPosition(var _PosX,_PosY:integer); override;
    procedure Draw; override;
  end;

  TMultipole=class(TMyComponent)
    constructor Create(_Image:TImage); override;
    function  GetGenericName:string; override;
    procedure SetPosition(_PosX,_PosY:integer); override;
    procedure GetPosition(var _PosX,_PosY:integer); override;
    procedure Draw; override;
  end;

  TConnexion=class(TMyComponent)
    constructor Create(_Image:TImage); override;
    function  GetGenericName:string; override;
    procedure SetPosition(_PosX,_PosY:integer); override;
    procedure GetPosition(var _PosX,_PosY:integer); override;
    procedure Draw; override;
    function  GetNode:TObjet;
  end;

  TDesktop = class(TForm)
    Panel1: TPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    Image1: TImage;
    CheckBox1: TCheckBox;
    Edit1: TEdit;
    SpinButton1: TSpinButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    Label1: TLabel;
    MainMenu1: TMainMenu;
    Fichier1: TMenuItem;
    Enregistrer1: TMenuItem;
    Charger1: TMenuItem;
    SaveDialog1: TSaveDialog;
    Fonctions1: TMenuItem;
    Gnrerlanetlist1: TMenuItem;
    OpenDialog1: TOpenDialog;
    N1: TMenuItem;
    Quitter1: TMenuItem;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    Simulate1: TMenuItem;
    New1: TMenuItem;
    Showallinfos1: TMenuItem;
    SpeedButton7: TSpeedButton;
    Label2: TLabel;
    Componentlist1: TMenuItem;
    Configuration1: TMenuItem;
    Button1: TButton;
    Label3: TLabel;
    ComboBox1: TComboBox;
    SpeedButton8: TSpeedButton;
    SpeedButton9: TSpeedButton;
    SpeedButton10: TSpeedButton;
    Engine1: TMenuItem;
    Parameters1: TMenuItem;
    N2: TMenuItem;
    SpeedButton11: TSpeedButton;
    SpeedButton12: TSpeedButton;
    Save1: TMenuItem;
    SpeedButton13: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure SpeedButton1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure SpeedButton2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Image1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure SpinButton1DownClick(Sender: TObject);
    procedure SpinButton1UpClick(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure SpeedButton3MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure SpeedButton4MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ListBox1Click(Sender: TObject);
    procedure Enregistrer1Click(Sender: TObject);
    procedure Charger1Click(Sender: TObject);
    procedure Gnrerlanetlist1Click(Sender: TObject);
    procedure Quitter1Click(Sender: TObject);
    procedure SpeedButton5MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure SpeedButton6MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image1DblClick(Sender: TObject);
    procedure Simulate1Click(Sender: TObject);
    procedure New1Click(Sender: TObject);
    procedure Showallinfos1Click(Sender: TObject);
    procedure SpeedButton7MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Componentlist1Click(Sender: TObject);
    procedure Configuration1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SpeedButton8MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure SpeedButton9MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure SpeedButton10MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ComboBox1Change(Sender: TObject);
    procedure Parameters1Click(Sender: TObject);
    procedure SpeedButton11MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure SpeedButton12MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Save1Click(Sender: TObject);
    procedure SpeedButton13MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Dclarations prives }
    ShowValues:Boolean;

    // Ligne et connexions autocrs au mousedown  Deleter eventuellement au mouse up
    LineNewBegin:TLine;
    ConnexionNewBegin:TConnexion;
    LineNewEnd:TLine;
    ConnexionNewEnd:TConnexion;
    NodeComponentBegin:TNode;
    NodeComponentEnd:TNode;
    LineAutoDel:TLine;

    function  ObjetUnder(X,Y:Integer):TObjet;
    procedure DrawGrid;
    procedure DrawObjets;
    function  LineExist(_Line:TLine):Boolean;
    procedure DrawComponents;
    procedure DrawComponentsNonSelect;
    procedure FreeImage;
    procedure Refresh;
    procedure FreeObjects;
    procedure UpdateGUIForEngine;
    function TestCompatiblity:Boolean;    
  public
    { Dclarations publiques }
  end;

var
  Execute:TExecute;
  // Engines plugin function
  AllowedComponent:TAllowedComponent;
  GetParamCount:TGetParamCount;
  GetParamName:TGetParamName;
  GetParamUnit:TGetParamUnit;
  SetParamValue:TSetParamValue;
  GetParamDefaultValue:TGetParamDefaultValue;
  GetErrorMsg:TGetErrorMsg;

  Desktop:TDesktop;
  BackImageSave:TImage;

  // Important objets
  ListOfObjets:TList;
  ListOfSelectedObjets:TListOfSelectedObjets;
  ListOfComponents:TListOfComponents;
  ListOfNodes:TNodesList;
//  Engine:TEngine;

  SchemaName:string;
  ComponentType:Integer;
  Down,DrawLine,AskEnDrawLine:Boolean;
  XDown,YDown:Integer;
  DxDown,DyDown:Integer;
  XLineBeg,YLineBeg:Integer;
  LineXOld,LineYOld:Integer;

  GridStep:Integer;
  CurrentLine:TLine;
  XInit,YInit,OldX,OldY:Integer;
  Rectangle:Boolean;

  DrawMode:Boolean;
  SelectLineWithNodes:Boolean;
  LineWithComponent:Byte;
  AutoConnect:Boolean;
  ObjetMoved:Boolean;
  InMove:Boolean;
  ShowValues:Boolean;

  DoubleClick:Boolean;

//  Comm:PComm;
  HandlePlugin:Integer;

procedure ListObjetsDelete(MyObjet:TObject);
function  FindIndexMax(Name:string):Integer;
procedure UpdateSpy;
function  GetObjetByName(Name:string):TObjet;

implementation

{$R *.DFM}

uses
   DlgParameter,
   MyMath,
   DlgComponentList,
   DlgConfiguration;

//******************************************************************************
//***************************       Objet     **********************************
//******************************************************************************

function TObjet.GetName:string;
begin
Result:=Name;
end;

procedure TObjet.SetName(NewName:string);
begin
Name:=NewName;
end;

function TObjet.GetType:Integer;
begin
Result:=ObjetType;
end;

procedure TObjet.SetType(NewType:Integer);
begin
ObjetType:=NewType;
end;

procedure TObjet.SetInfosRealCount(Count:Integer);
begin
NbInfosReal:=Count;
end;

function TObjet.GetInfosRealCount:Integer;
begin
Result:=NbInfosReal;
end;

procedure TObjet.SetInfosComplexCount(Count:Integer);
begin
NbInfosComplex:=Count;
end;

function TObjet.GetInfosComplexCount:Integer;
begin
Result:=NbInfosComplex;
end;

procedure TObjet.SetInfoName(i:Integer;_InfoName:string);
begin
InfoName[i]:=_InfoName;
end;

function TObjet.GetInfoName(i:Integer):string;
begin
Result:=InfoName[i];
end;

procedure TObjet.SetInfoType(i:Integer;_InfoType:Integer);
begin
InfoType[i]:=_InfoType;
end;

function TObjet.GetInfoType(i:Integer):Integer;
begin
Result:=InfoType[i];
end;

procedure TObjet.SetInfoUnit(i:Integer;_InfoUnit:string);
begin
InfoUnit[i]:=_InfoUnit;
end;

function TObjet.GetInfoUnit(i:Integer):string;
begin
Result:=InfoUnit[i];
end;

procedure TObjet.SetInfoRealValue(i:Integer;Value:Double);
begin
InfoRealValue[i]:=Value;
end;

function TObjet.GetInfoRealValue(i:Integer):Double;
begin
Result:=InfoRealValue[i];
end;

procedure TObjet.SetInfoComplexValue(i:Integer;RealPart,ComplexPart:Double);
begin
InfoComplexRealValue[i]:=RealPart;
InfoComplexComplexValue[i]:=ComplexPart;
end;

procedure TObjet.GetInfoComplexValue(i:Integer;var RealPart,ComplexPart:Double);
begin
RealPart:=InfoComplexRealValue[i];
ComplexPart:=InfoComplexComplexValue[i];
end;

procedure TObjet.SetShowValues(Show:Boolean);
begin
ShowValues:=Show;
end;

//******************************************************************************
//***************************       Line      **********************************
//******************************************************************************

constructor TLine.Create(_Image:TImage);
var
   i:Integer;
   NewName:string;
begin
SetType(ncLine);

// We define the system name of the line
NewName:=GetGenericName;
i:=FindIndexMax(NewName);
NewName:=NewName+IntToStr(i+1);
SetName(NewName);

Image:=_Image;
Selected:=False;
XLineBeg:=0;
YLineBeg:=0;
XLineEnd:=0;
YLineEnd:=0;
end;

function TLine.GetGenericName:string;
begin
Result:='Link   ';
end;

procedure TLine.Draw;
var
   X1,Y1,X2,Y2:Integer;
begin
if (NodeBegin<>nil) and (EndNode<>nil) and not Invisible then
   with Image.Canvas do
      begin

      if Selected then
         Pen.Color:=clRed
      else
         Pen.Color:=clBlack;
      Pen.Style:=psSolid;
      Pen.Mode:=pmCopy;
      Brush.Style:=bsClear;
      (NodeBegin as TNode).GetRealPosition(X1,Y1);
      (EndNode as TNode).GetRealPosition(X2,Y2);
      MoveTo(X1,Y1);
      LineTo(X2,Y2);
      end;
end;

function TLine.IsUnder(x,y:integer):boolean;
var
   X1,Y1,X2,Y2,XTemp,YTemp:Integer;
   a,b,c,d,Distance:Double;
   Test1,Test2,Test3:Boolean;
begin
Result:=False;
if (NodeBegin<>nil) and (EndNode<>nil) then
   begin
   (NodeBegin as TNode).GetRealPosition(X1,Y1);
   (EndNode as TNode).GetRealPosition(X2,Y2);
   if X1>X2 then
      begin
      XTemp:=X1; X1:=X2; X2:=XTemp;
      YTemp:=Y1; Y1:=Y2; Y2:=YTemp;
      end;

   // Test1 :  Distance to the line test
   // Line equation : ax+by+c=0
   a:=(Y1-Y2);
   b:=(X2-X1);
   c:=(Y2-Y1)*X1-Y1*(X2-X1);
   // Calculation of the  distance between the line and the point
   d:=Sqrt(a*a+b*b);
   if d<>0 then
      Distance:=Abs((a*x+b*y+c)/d)
   else
      Distance:=0;

   Test1:=False;
   if Distance<=SelectMargin then Test1:=True;

   // Test2 : Test of the 1/2 plane before origin
   Test2:=False;
   if (X2-X1)*(X-X1)+(Y2-Y1)*(Y-Y1)>-2*NodeSize then Test2:=True;

   // Test3 : Test of 1/2 plane after the end
   Test3:=False;
   if (X2-X1)*(X-X2)+(Y2-Y1)*(Y-Y2)<-2*NodeSize then Test3:=True;

   if Test1 and Test2 and Test3 then Result:=True;
   end;
end;

procedure TLine.SetInvisible(Value:Boolean);
begin
Invisible:=Value;
end;

procedure TLine.Select;
begin
Selected:=True;
end;

procedure TLine.UnSelect;
begin
Selected:=False;
end;

procedure TLine.SetNodeBegin(Node:TObjet);
var
   X1,Y1,X2,Y2:Integer;
begin
NodeBegin:=Node;
if (NodeBegin<>nil) and (EndNode<>nil) then
   begin
   (NodeBegin as TNode).GetRealPosition(X1,Y1);
   (EndNode as TNode).GetRealPosition(X2,Y2);
   Dx:=X2-X1;
   Dy:=Y2-Y1;
   end;
end;

procedure TLine.SetNodeEnd(Node:TObjet);
var
   X1,Y1,X2,Y2:Integer;
begin
EndNode:=Node;
if (NodeBegin<>nil) and (EndNode<>nil) then
   begin
   (NodeBegin as TNode).GetRealPosition(X1,Y1);
   (EndNode as TNode).GetRealPosition(X2,Y2);
   Dx:=X2-X1;
   Dy:=Y2-Y1;
   end;
end;

function TLine.GetNodeBegin:TObjet;
begin
Result:=NodeBegin;
end;

function TLine.GetNodeEnd:TObjet;
begin
Result:=EndNode;
end;

procedure TLine.UnSetNodes;
begin
// We must leave this here because when we delete a line, we must delete the
// pointers towards this line from the 2 nodes
if NodeBegin<>nil then (NodeBegin as TNode).UnsetLines(Self);
if EndNode<>nil then (EndNode as TNode).UnsetLines(Self);
NodeBegin:=nil;
EndNode:=nil
end;

procedure TLine.UnSetNodeBegin;
begin
if NodeBegin<>nil then (NodeBegin as TNode).UnsetLines(Self);
NodeBegin:=nil;
end;

procedure TLine.UnSetEndNode;
begin
if EndNode<>nil then (EndNode as TNode).UnsetLines(Self);
EndNode:=nil;
end;

procedure TLine.SetDeltaSelect(_X,_Y:Integer);
var
   X1,Y1:Integer;
begin
(NodeBegin as TNode).GetRealPosition(X1,Y1);
DSelX:=X1-_X;
DSelY:=Y1-_Y;
end;

procedure TLine.GetDeltaSelect(var _DSelX,_DSelY:Integer);
begin
_DSelX:=DSelX;
_DSelY:=DSelY;
end;

procedure TLine.GetPosition(var _PosX,_PosY:Integer);
begin
_PosX:=XLineBeg;
_PosY:=YLineBeg;
end;

procedure TLine.SetPosition(_PosX,_PosY:Integer);
begin
XLineBeg:=_PosX;
YLineBeg:=_PosY;
end;

function TLine.Length:Double;
var
   X1,Y1:Integer;
   X2,Y2:Integer;
begin
(NodeBegin as TNode).GetRealPosition(X1,Y1);
(EndNode as TNode).GetRealPosition(X2,Y2);
Result:=Sqrt(Sqr(X2-X1)+Sqr(Y2-Y1));
end;

// To improve (not selected if boths extremities are outside)
function TLine.ObjetIsInRectangle(X1,Y1,X2,Y2:Integer):Boolean;
var
   PosX1,PosY1:Integer;
   PosX2,PosY2:Integer;
begin
(NodeBegin as TNode).GetRealPosition(PosX1,PosY1);
(EndNode as TNode).GetRealPosition(PosX2,PosY2);
Result:=False;
// True is one of the points is in the retangle
if (PosX1>X1) and (PosX1<X2) and (PosY1>Y1) and (PosY1<Y2) then Result:=True;
if (PosX2>X1) and (PosX2<X2) and (PosY2>Y1) and (PosY2<Y2) then Result:=True;
end;

function TLine.GetOtherNode(Node:TNode):TNode;
begin
if TNode(NodeBegin)=Node then Result:=TNode(EndNode);
if TNode(EndNode)=Node then Result:=TNode(NodeBegin);
end;

//******************************************************************************
//***************************       Node      **********************************
//******************************************************************************

constructor TNode.Create(_Image:TImage);
var
   i:Integer;
   NewName:string;
begin
SetType(ncNode);

Checked:=False;

// We define the system name of the node
NewName:=GetGenericName;
i:=FindIndexMax(NewName);
NewName:=NewName+IntToStr(i+1);
SetName(NewName);

Image:=_Image;
PosX:=0;
PosY:=0;
Rayon:=0;
Selected:=False;
Big:=True;
IntListeLines:=TList.Create;
end;

function TNode.GetGenericName:string;
begin
Result:='Node';
end;

// We Draw all the lines
procedure TNode.DrawLines;
var
   i:Integer;
   MyLine:TLine;
begin
 with Image.Canvas do
   begin
   // Draw of the lines linked to the node
   for i:=IntListeLines.Count-1 downto 0 do
      begin
      MyLine:=TLine(IntListeLines[i]);
      MyLine.Draw;
      end;

   end;
end;

// We Draw all selected lines
procedure TNode.DrawLinesNonSelect;
var
   i:Integer;
   MyLine:TLine;
begin
 with Image.Canvas do
   begin
   // Draw of the lines linked to the node
   for i:=IntListeLines.Count-1 downto 0 do
      begin
      MyLine:=TLine(IntListeLines[i]);
      if not MyLine.Selected then MyLine.Draw;
      end;
   end;
end;

function TNode.IsConnectedToLine(_Line:TObjet):Boolean;
var
   MyLine:TLine;
   i:Integer;
begin
Result:=False;
for i:=0 to IntListeLines.Count-1 do
   begin
   MyLine:=TLine(IntListeLines[i]);
   if _Line=MyLine then Result:=True;
   end;
end;

procedure TNode.SetPosition(_PosX,_PosY:integer);
begin
PosX:=_PosX;
PosY:=_PosY;
end;

procedure TNode.SetDeltaPosition(_DPosX,_DPosY:integer);
begin
DPosX:=_DPosX;
DPosY:=_DPosY;
end;

procedure TNode.GetPosition(var _PosX,_PosY:integer);
begin
_PosX:=PosX;
_PosY:=PosY;
end;

procedure TNode.GetRealPosition(var _PosX,_PosY:integer);
begin
_PosX:=PosX+DPosX;
_PosY:=PosY+DPosY;
end;

procedure TNode.SetRealPosition(_PosX,_PosY:integer);
begin
PosX:=_PosX-DPosX;
PosY:=_PosY-DPosY;
end;

procedure TNode.Draw;
var
   R:Integer;
begin
if Big then R:=NodeSize else R:=1;

with Image.Canvas do
   begin
   if not invisible then
      begin
      if Selected then
         begin
         Pen.Color:=clRed;
         Brush.Color:=clRed;
         end
      else
         begin
         Pen.Color:=clBlack;
         Brush.Color:=clBlack;
         end;
      Pen.Style:=psSolid;
      Pen.Mode:=PmCopy;
      Brush.Style:=bsSolid;
      Ellipse(PosX+DPosX-R,PosY+DPosY-R,PosX+DPosX+R+1,PosY+DPosY+R+1);
      end;
   end;
end;

function TNode.IsUnder(x,y:integer):Boolean;
begin
Result:=(x>=PosX+DPosX-NodeSize-SelectMargin) and (x<=PosX+DPosX+NodeSize+1+SelectMargin)
   and (y>=PosY+DPosY-NodeSize-SelectMargin) and (y<=PosY+DPosY+NodeSize+1+SelectMargin);
end;

procedure TNode.Select;
begin
Selected:=True;
end;

procedure TNode.UnSelect;
begin
Selected:=False;
end;

procedure TNode.SetBig;
begin
Big:=True;
end;

procedure TNode.SetSmall;
begin
Big:=False;
end;

procedure TNode.SetInvisible;
begin
Invisible:=True;
end;

procedure TNode.SetLine(_Lien:TObjet);
begin
IntListeLines.Add(_Lien);
end;

procedure TNode.UnsetLines(_Lien:TObjet);
var
   i:Integer;
begin
i:=0;
while i<=IntListeLines.Count-1 do
   begin
   if _Lien=TLine(IntListeLines.Items[i]) then
      IntListeLines.Delete(i)
   else Inc(i);
   end;
end;

procedure TNode.UnsetAllLines;
var
   i:Integer;
begin
i:=0;
while i<=IntListeLines.Count-1 do
   IntListeLines.Delete(i)
end;

procedure TNode.DelLines;
var
   i:Integer;
   Line:TLine;
begin
i:=0;
// For all the lines linked to this node
while i<=IntListeLines.Count-1 do
   begin
   Line:=TLine(IntListeLines.Items[i]);
   // We delete the links of the nodes linked to the line.
   Line.UnSetNodes;

   // If we delete all the following lines, the lines connected to a component
   // are not deleted with this component !!!!
   // We unselect the line
   ListOfSelectedObjets.UnSelectObjet(Line);
   // We delete the line in the ListOfSelectedObjets list
   ListOfSelectedObjets.DeleteObjet(Line);
   // We delete the line in the ListOfObjets list
   ListObjetsDelete(Line);
   {j:=0;
   while j<=ListOfObjets.Count-1 do
      begin
      if Line=ListOfObjets.Items[j] then ListOfObjets.Delete(j)
      else Inc(j);
      end;}

   // We free the line
   Line.Free;
   UpdateSpy;
   end;
end;

// Unused
function TNode.ObjetIsInRectangle(X1,Y1,X2,Y2:Integer):Boolean;
begin
Result:=False;
end;

procedure TNode.SetChecked(_Checked:boolean);
begin
Checked:=_Checked;
end;

function TNode.GetChecked:Boolean;
begin
Result:=Checked;
end;

function TNode.LinesCount:Integer;
begin
Result:=IntListeLines.Count;
end;

function TNode.GetLine(i:Integer):TObjet;
begin
Result:=IntListeLines[i];
end;

procedure TNode.SetNumber(_Number:Integer);
begin
Number:=_Number;
end;

function TNode.GetNumber:Integer;
begin
Result:=Number;
end;

procedure TNode.SetFather(_Father:TObjet);
begin
Father:=_Father;
end;

function TNode.GetFather:TObjet;
begin
Result:=Father;
end;

//******************************************************************************
//***************************     Component   **********************************
//******************************************************************************

constructor TMyComponent.Create(_Image:TImage);
begin
Image:=_Image;
PosX:=0;
PosY:=0;
Sx:=0;
Sy:=0;
Selected:=False;
Orientation:=0;
NodesList:=TList.Create;

NodeComment:=TNode.Create(_Image);
NodeComment.SetFather(Self);
NodeComment.SetInvisible;
end;

// We draw the lines
procedure TMyComponent.DrawLines;
var
   i:Integer;
   Node:TNode;
begin
 with Image.Canvas do
   begin

   // Draw the lines linked to the nodes
   for i:=NodesList.Count-1 downto 0 do
      begin
      Node:=TNode(NodesList[i]);
      Node.DrawLines;
      end;
   NodeComment.DrawLines;
   end;
end;

// We Draw the lines
procedure TMyComponent.DrawLinesNonSelect;
var
   i:Integer;
   Node:TNode;
begin
 with Image.Canvas do
   begin
   // Draw the lines linked to the nodes
   for i:=NodesList.Count-1 downto 0 do
      begin
      Node:=TNode(NodesList[i]);
      Node.DrawLinesNonSelect;
      end;
   NodeComment.DrawLines;
   end;
end;

function TMyComponent.IsConnectedToLine(Line:TLine):Boolean;
var
   Node:TNode;
   i:Integer;
begin
Result:=False;
for i:=NodesList.Count-1 downto 0 do
   begin
   Node:=TNode(NodesList[i]);
   if Node.IsConnectedToLine(Line) then Result:=True;
   end;
if NodeComment.IsConnectedToLine(Line) then Result:=True;
end;

// The code is in the childs
procedure TMyComponent.Draw;
begin
end;

procedure TMyComponent.SetPosition(_PosX,_PosY:Integer);
var
   i:Integer;
   Node:TNode;
begin
PosX:=_PosX;
PosY:=_PosY;
for i:=NodesList.Count-1 downto 0 do
   begin
   Node:=TNode(NodesList[i]);
   Node.SetPosition(PosX,PosY);
   end;
NodeComment.SetPosition(PosX,PosY);

//if Infos<>nil then (Infos as TComment).SetPosition(PosX,PosY);
end;

procedure TMyComponent.GetPosition(var _PosX,_PosY:Integer);
begin
_PosX:=PosX;
_PosY:=PosY;
end;

procedure TMyComponent.SetDimension(_Sx,_Sy:Integer);
begin
Sx:=_Sx;
Sy:=_Sy;
end;

function TMyComponent.IsUnder(x,y:integer):Boolean;
begin
Result:=(x>=PosX-SelectMargin) and (x<=PosX+Sx+SelectMargin)
   and (y>=PosY-SelectMargin) and (y<=PosY+Sy+SelectMargin);
end;

function TMyComponent.IsNodeUnder(x,y:integer):TNode;
var
   i:Integer;
   Node:TNode;
begin
Result:=nil;
for i:=NodesList.Count-1 downto 0 do
   begin
   Node:=TNode(NodesList[i]);
   if Node.IsUnder(x,y) then Result:=Node;
   end;
end;

procedure TMyComponent.DelLines;
var
   i:Integer;
   Node:TNode;
begin
i:=0;
while i<=NodesList.Count-1 do
   begin
   Node:=TNode(NodesList[i]);
   Node.DelLines;
   Inc(i);
   end;
end;

procedure TMyComponent.Select;
begin
Selected:=True;
end;

procedure TMyComponent.UnSelect;
begin
Selected:=False;
end;

procedure TMyComponent.SetOrientation(_Orientation:Byte);
begin
Orientation:=_Orientation
end;

procedure TMyComponent.FreeNodes;
var
   i:Integer;
   Node:TNode;
begin
for i:=0 to NodesList.Count-1 do
   begin
   Node:=TNode(NodesList[i]);
   ListOfNodes.DeleteNode(Node);
   end;
end;

// Compute the delta between the component position and the cursor position
procedure TMyComponent.SetDeltaSelect(_X,_Y:Integer);
begin
DSelX:=PosX-_X;
DSelY:=PosY-_Y;
end;

// Give the delta between the component position and the cursor position
procedure TMyComponent.GetDeltaSelect(var _DSelX,_DSelY:Integer);
begin
_DSelX:=DSelX;
_DSelY:=DSelY;
end;

// Is then component in the given rectangle ?
function TMyComponent.ObjetIsInRectangle(X1,Y1,X2,Y2:Integer):Boolean;
begin
Result:=False;
if (X1>PosX) and (X1<PosX+Sx) and (Y1>PosY) and (Y1<PosY+Sy) then Result:=True;
if (X1>PosX) and (X1<PosX+Sx) and (Y2>PosY) and (Y2<PosY+Sy) then Result:=True;
if (X2>PosX) and (X2<PosX+Sx) and (Y2>PosY) and (Y2<PosY+Sy) then Result:=True;
if (X2>PosX) and (X2<PosX+Sx) and (Y1>PosY) and (Y1<PosY+Sy) then Result:=True;

if (PosX>X1) and (PosX<X2) and (PosY>Y1) and (PosY<Y2) then Result:=True;
if (PosX>X1) and (PosX<X2) and (PosY+Sy>Y1) and (PosY+Sy<Y2) then Result:=True;
if (PosX+Sx>X1) and (PosX+Sx<X2) and (PosY+Sy>Y1) and (PosY+Sy<Y2) then Result:=True;
if (PosX+Sx>X1) and (PosX+Sx<X2) and (PosY>Y1) and (PosY<Y2) then Result:=True;
end;

function TMyComponent.GetNode(i:Integer):TNode;
begin
Result:=NodesList[i];
end;

procedure TMyComponent.SetParametersCount(Count:Integer);
begin
NbParameter:=Count;
end;

function TMyComponent.GetParametersCount:Integer;
begin
Result:=NbParameter;
end;

procedure TMyComponent.SetParameterName(i:Integer;_ParameterName:string);
begin
ParameterName[i]:=_ParameterName;
end;

function TMyComponent.GetParameterName(i:Integer):string;
begin
Result:=ParameterName[i];
end;

procedure TMyComponent.SetParameterUnit(i:Integer;_ParameterUnit:string);
begin
ParameterUnit[i]:=_ParameterUnit;
end;

function TMyComponent.GetParameterUnit(i:Integer):string;
begin
Result:=ParameterUnit[i];
end;

procedure TMyComponent.SetParameterValue(i:Integer;Value:Double);
begin
Parameter[i]:=Value;
end;

function TMyComponent.GetParameterValue(i:Integer):Double;
begin
Result:=Parameter[i];
end;

// Find posisition
// To improve
procedure FindGoodPos(PosX1,PosY1,Sx1,Sy1,Sx2,Sy2:Integer;var X,Y:Integer);
var
   i,X1,Y1:Integer;
   Good:Boolean;
   Node:TNode;
begin
X:=PosX1+Sx1 div 2-Sx2;
Y:=PosY1+Sy1 div 2-Sy2 div 2;

X1:=PosX1-Sx1 div 2-10-Sx2;
Y1:=PosY1+Sy1 div 2-Sy2 div 2;

Desktop.Image1.Canvas.Pen.Color:=clBlack;
Desktop.Image1.Canvas.Pen.Style:=psSolid;
Desktop.Image1.Canvas.Pen.Mode:=pmCopy;
Desktop.Image1.Canvas.Rectangle(X1,Y1,X1+Sx2,Y1+Sy2);

Good:=True;
for i:=0 to ListOfNodes.Count-1 do
   begin
   Node:=ListOfNodes.Get(i);
   if (Node.PosX+Node.DPosX>X1) and (Node.PosX+Node.DPosX<X1+Sx2) and
      (Node.PosY+Node.DPosY>Y1) and (Node.PosY+Node.DPosY<Y1+Sy2) then
      Good:=False;
   end;

if not Good then
   begin
   X1:=PosX1+Sx1+10;
   Y1:=PosY1+Sy1 div 2-Sy2 div 2;
   Good:=True;
   for i:=0 to ListOfNodes.Count-1 do
      begin
      Node:=ListOfNodes.Get(i);
      if (Node.PosX+Node.DPosX>X1) and (Node.PosX+Node.DPosX<X1+Sx2) and
         (Node.PosY+Node.DPosY>Y1) and (Node.PosY+Node.DPosY<Y1+Sy2) then Good:=False;
      end;
   end;

if not Good then
   begin
   X1:=PosX1+Sx1 div 2-Sx2 div 2;
   Y1:=PosY1+Sy1 div 2+10;
   Good:=True;
   for i:=0 to ListOfNodes.Count-1 do
      begin
      Node:=ListOfNodes.Get(i);
      if (Node.PosX+Node.DPosX>X1) and (Node.PosX+Node.DPosX<X1+Sx2) and
         (Node.PosY+Node.DPosY>Y1) and (Node.PosY+Node.DPosY<Y1+Sy2) then Good:=False;
      end;
   end;

if not Good then
   begin
   X1:=PosX1+Sx1 div 2-Sx2 div 2;
   Y1:=PosY1-10-Sy2;
   Good:=True;
   for i:=0 to ListOfNodes.Count-1 do
      begin
      Node:=ListOfNodes.Get(i);
      if (Node.PosX+Node.DPosX>X1) and (Node.PosX+Node.DPosX<X1+Sx2) and
         (Node.PosY+Node.DPosY>Y1) and (Node.PosY+Node.DPosY<Y1+Sy2) then Good:=False;
      end;
   end;

if Good then
   begin
   X:=X1;
   Y:=Y1;
   end;
end;

procedure TMyComponent.SetShowValues(Show:Boolean);
var
   i,j:Integer;
   Node:TNode;
   Xc,Yc:Integer;
   Line:TLine;
   RealPart,ComplexPart,Modulus,Angle:Double;
begin
inherited;

// If we allready are in a TComment, we exit
if GetType=ncComment then Exit;

if ShowValues then
   begin
   for i:=NodesList.Count-1 downto 0 do
      begin
      Node:=TNode(NodesList[i]);
      for j:=0 to Node.GetInfosRealCount-1 do
         (Infos as TComment).AddLine(Format('%s = %2.4f %s',[Node.GetInfoName(j)+
            IntToStr(Node.Number),Node.GetInfoRealValue(j),Node.GetInfoUnit(j)]));
      for j:=0 to Node.GetInfosComplexCount-1 do
         begin
         Node.GetInfoComplexValue(j,RealPart,ComplexPart);
         Modulus:=Sqrt(RealPart*RealPart+ComplexPart*ComplexPart);
         Angle:=ArcTan2(ComplexPart,RealPart)*180/pi;
         (Infos as TComment).AddLine(Format('%s = %2.4f %s / %2.4f',[Node.GetInfoName(j)+
            IntToStr(Node.Number),Modulus,Node.GetInfoUnit(j),Angle]));
//         (Infos as TComment).AddLine(Format('%s = %2.4f+i%2.4f',[Node.GetInfoName(j)+
//            IntToStr(Node.Number),RealPart,ComplexPart]));
         end;
      end;
   for i:=0 to NbInfosReal-1 do
      (Infos as TComment).AddLine(Format('%s = %2.4f %s',[GetInfoName(i),
         GetInfoRealValue(i),GetInfoUnit(i)]));
   for i:=0 to NbInfosComplex-1 do
      begin
      GetInfoComplexValue(i,RealPart,ComplexPart);
      Modulus:=Sqrt(RealPart*RealPart+ComplexPart*ComplexPart);
      Angle:=ArcTan2(ComplexPart,RealPart)*180/pi;
      (Infos as TComment).AddLine(Format('%s = %2.4f %s / %2.4f',[GetInfoName(i),
         Modulus,GetInfoUnit(i),Angle]));
      end;

   // Find posisition
   FindGoodPos(PosX,PosY,Sx,Sy,(Infos as TComment).Sx,(Infos as TComment).Sy,Xc,Yc);
   (Infos as TComment).SetPosition(Xc,Yc);
   // Draw component
   Infos.Draw;
   Line:=NodeComment.GetLine(0) as TLine;
   Line.SetInvisible(False);

   end
else
   begin
   (Infos as TComment).Clear;
   Line:=NodeComment.GetLine(0) as TLine;
   Line.SetInvisible(True);
   end;
end;

procedure TMyComponent.SetShowNodeIndex(Show:Boolean);
begin
ShowNodeIndex:=Show;
end;

//******************************************************************************
//***************************     Comment     **********************************
//******************************************************************************

constructor TComment.Create(_Image:TImage);
var
   i:Integer;
   NewName:string;
begin
inherited Create(_Image);

Sx:=0;
Sy:=0;

SetType(ncComment);

Text:=TStringList.Create;

// We define the system name
NewName:=GetGenericName;
i:=FindIndexMax(NewName);
NewName:=NewName+IntToStr(i+1);
SetName(NewName);

SetType(ncComment);
end;

function TComment.GetGenericName:string;
begin
Result:='Comment';
end;

procedure TComment.SetPosition(_PosX,_PosY:integer);
begin
PosX:=_PosX;
PosY:=_PosY;
NodeComment.SetPosition(_PosX,_PosY);
end;

procedure TComment.GetPosition(var _PosX,_PosY:integer);
begin
_PosX:=PosX;
_PosY:=PosY;
end;

procedure TComment.AddLine(Line:string);
var
   i:Integer;
begin
Text.Add(Line);
i:=Image.Canvas.TextWidth(Line);
if i>Sx then Sx:=i;
Sy:=Image.Canvas.TextHeight(Line)*Text.Count;
NodeComment.SetDeltaPosition(Sx div 2,Sy div 2);
end;

procedure TComment.Draw;
var
   i,LineHeight,l,h:Integer;
begin
with Image.Canvas do
   begin
   if Text.Count=0 then exit;

   if Selected then
      begin
      Font.Color:=clRed;
      Pen.Color:=clRed;
      end
   else
      begin
      Font.Color:=clBlack;
      Pen.Color:=clBlack;      
      end;

   Brush.Color:=clWhite;
   Brush.Style:=bsSolid;

   LineHeight:=TextHeight(Text[0]);

   l:=0;
   for i:=0 to Text.Count-1 do
      if TextWidth(Text[i])>l then l:=TextWidth(Text[i]);
   h:=Text.Count*LineHeight;
   Pen.Style:=psSolid;
   Rectangle(PosX,PosY,PosX+l+10,PosY+h+10);
   Pen.Style:=psDot;

   for i:=0 to Text.Count-1 do
      TextOut(PosX+5,PosY+5+i*LineHeight,Text[i]);
   end;
end;

procedure TComment.Clear;
begin
Text.Clear;
end;

//******************************************************************************
//*****************************     Source DC    *******************************
//******************************************************************************

constructor TSourceDC.Create(_Image:TImage);
var
   Node:TNode;
   i:Integer;
   NewName:string;
   Line:TLine;
begin
inherited Create(_Image);

SetType(ncSourceDC);

// We define the system name of the source
NewName:=GetGenericName;
i:=FindIndexMax(NewName);
NewName:=NewName+IntToStr(i+1);
SetName(NewName);

Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(8,0);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(8,32);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);

SetParametersCount(1);
SetParameterName(0,'Voltage');
SetParameterUnit(0,'Volts');
SetParameterValue(0,1);

Infos:=TComment.Create(_Image);
Infos.Father:=Self;
ListOfComponents.Add(Infos);
ListOfObjets.Add(Infos);

NodeComment.SetDeltaPosition(8,16);

// We create the line
Line:=TLine.Create(_Image);
Line.SetInvisible(True);
// We create the links between the line and the node
Line.SetNodeBegin(NodeComment);
NodeComment.SetLine(Line);
Line.SetNodeEnd((Infos as TMyComponent).NodeComment);
(Infos as TMyComponent).NodeComment.SetLine(Line);
// We add it in the objects list
ListOfObjets.Add(Line);
end;

function TSourceDC.GetGenericName:string;
begin
Result:='SourceDC';
end;

procedure TSourceDC.SetPosition(_PosX,_PosY:integer);
begin
inherited SetPosition(_PosX,_PosY);
Sx:=16;
Sy:=32;
end;

procedure TSourceDC.GetPosition(var _PosX,_PosY:Integer);
begin
_PosX:=PosX;
_PosY:=PosY;
end;

// We Draw the source
procedure TSourceDC.Draw;
var
   i,h:Integer;
   Node:TNode;
begin
with Image.Canvas do
   begin
   if Selected then
      begin
      Pen.Color:=clRed;
      Font.Color:=clRed;
      end
   else
      begin
      Pen.Color:=clBlack;
      Font.Color:=clBlack;
      end;

   Pen.Style:=psSolid;
   Pen.Mode:=PmCopy;
   Brush.Color:=clWhite;
   Brush.Style:=bsSolid;

   // Here begin the drawing
   MoveTo(PosX+8,PosY);
   LineTo(PosX+8,PosY+32);
   Ellipse(PosX,PosY+8,PosX+16,PosY+24);
   // Here end the drawing

   // Draw nodes
   for i:=NodesList.Count-1 downto 0 do
      begin
      Node:=TNode(NodesList[i]);
      if Selected then Node.Select else Node.UnSelect;
      Node.SetPosition(PosX,PosY);
      Node.Draw;
      Brush.Color:=clWhite;
      Brush.Style:=bsSolid;
      h:=TextHeight('0');
      if ShowNodeIndex then TextOut(PosX+Node.DPosX+5,PosY+Node.DPosY-h div 2,IntToStr(Node.Number));
      end;
   end;
end;

//******************************************************************************
//*****************************     Source AC    *******************************
//******************************************************************************

constructor TSourceAC.Create(_Image:TImage);
var
   Node:TNode;
   i:Integer;
   NewName:string;
   Line:TLine;
begin
inherited Create(_Image);

SetType(ncSourceAC);

// We define the system name of the source
NewName:=GetGenericName;
i:=FindIndexMax(NewName);
NewName:=NewName+IntToStr(i+1);
SetName(NewName);

Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(8,0);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(8,32);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);

SetParametersCount(2);
SetParameterName(0,'Tension');
SetParameterUnit(0,'Voltage');
SetParameterValue(0,1);
SetParameterName(1,'Phase');
SetParameterUnit(1,'Degrees');
SetParameterValue(1,0);

Infos:=TComment.Create(_Image);
Infos.Father:=Self;
ListOfComponents.Add(Infos);
ListOfObjets.Add(Infos);

NodeComment.SetDeltaPosition(8,16);

// We create the line
Line:=TLine.Create(_Image);
Line.SetInvisible(True);
// We create the links between the line and the node
Line.SetNodeBegin(NodeComment);
NodeComment.SetLine(Line);
Line.SetNodeEnd((Infos as TMyComponent).NodeComment);
(Infos as TMyComponent).NodeComment.SetLine(Line);
// We add it in the objects list
ListOfObjets.Add(Line);
end;

function TSourceAC.GetGenericName:string;
begin
Result:='SourceAC';
end;

procedure TSourceAC.SetPosition(_PosX,_PosY:integer);
begin
inherited SetPosition(_PosX,_PosY);
Sx:=16;
Sy:=32;
end;

procedure TSourceAC.GetPosition(var _PosX,_PosY:Integer);
begin
_PosX:=PosX;
_PosY:=PosY;
end;

// We Draw the source
procedure TSourceAC.Draw;
var
   i,h:Integer;
   Node:TNode;
begin
with Image.Canvas do
   begin
   if Selected then
      begin
      Pen.Color:=clRed;
      Font.Color:=clRed;
      end
   else
      begin
      Pen.Color:=clBlack;
      Font.Color:=clBlack;
      end;

   Pen.Style:=psSolid;
   Pen.Mode:=PmCopy;
   Brush.Color:=clWhite;
   Brush.Style:=bsSolid;

   // Here begin the drawing
   MoveTo(PosX+8,PosY);
   LineTo(PosX+8,PosY+32);
   Ellipse(PosX,PosY+8,PosX+16,PosY+24);
   // Here end the drawing

   // Draw nodes
   for i:=NodesList.Count-1 downto 0 do
      begin
      Node:=TNode(NodesList[i]);
      if Selected then Node.Select else Node.UnSelect;
      Node.SetPosition(PosX,PosY);
      Node.Draw;
      Brush.Color:=clWhite;
      Brush.Style:=bsSolid;
      h:=TextHeight('0');
      if ShowNodeIndex then TextOut(PosX+Node.DPosX+5,PosY+Node.DPosY-h div 2,IntToStr(Node.Number));
      end;
   end;
end;

//******************************************************************************
//******************************     Neutral    ********************************
//******************************************************************************

constructor TNeutral.Create(_Image:TImage);
var
   Node:TNode;
   i:Integer;
   NewName:string;
begin
inherited Create(_Image);

SetType(ncNeutral);

// We define the system name of the capacitorNeutral
NewName:=GetGenericName;
i:=FindIndexMax(NewName);
NewName:=NewName+IntToStr(i+1);
SetName(NewName);

Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);

Node.SetFather(Self);
Node.SetDeltaPosition(16,0);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);

Infos:=TComment.Create(_Image);
Infos.Father:=Self;
ListOfComponents.Add(Infos);
ListOfObjets.Add(Infos);

NodeComment.SetDeltaPosition(16,16);

SetParametersCount(0);
end;

function TNeutral.GetGenericName:string;
begin
Result:='Neutral';
end;

procedure TNeutral.SetPosition(_PosX,_PosY:integer);
begin
inherited SetPosition(_PosX,_PosY);
Sx:=32;
Sy:=32;
end;

procedure TNeutral.GetPosition(var _PosX,_PosY:Integer);
begin
_PosX:=PosX;
_PosY:=PosY;
end;

// We Draw the neutral
procedure TNeutral.Draw;
var
   i,h,l:Integer;
   Node:TNode;
begin
with Image.Canvas do
   begin
   if Selected then
      begin
      Pen.Color:=clRed;
      Font.Color:=clRed;
      end
   else
      begin
      Pen.Color:=clBlack;
      Font.Color:=clBlack;
      end;
   Pen.Style:=psSolid;
   Pen.Mode:=PmCopy;
   Brush.Color:=clWhite;
   Brush.Style:=bsSolid;

   // Here begin the drawing
   MoveTo(PosX+16,PosY);
   LineTo(PosX+16,PosY+24);
   MoveTo(PosX,PosY+24);
   LineTo(PosX+32,PosY+24);
   MoveTo(PosX,PosY+24);
   LineTo(PosX+8,PosY+32);
   MoveTo(PosX+8,PosY+24);
   LineTo(PosX+16,PosY+32);
   MoveTo(PosX+16,PosY+24);
   LineTo(PosX+24,PosY+32);
   MoveTo(PosX+24,PosY+24);
   LineTo(PosX+32,PosY+32);
   // Here end the drawing

   // Draw nodes
   for i:=NodesList.Count-1 downto 0 do
      begin
      Node:=TNode(NodesList[i]);
      if Selected then Node.Select else Node.UnSelect;
      Node.SetPosition(PosX,PosY);
      Node.Draw;
      Brush.Color:=clWhite;
      Brush.Style:=bsSolid;
      h:=TextHeight('0');
      l:=TextWidth('0');
      if ShowNodeIndex then TextOut(PosX+Node.DPosX-l div 2,PosY+Node.DPosY-h-4,IntToStr(Node.Number));
      end;
   end;
end;

//******************************************************************************
//******************************    Capacitor   ********************************
//******************************************************************************

constructor TCapacitor.Create(_Image:TImage);
var
   Node:TNode;
   i:Integer;
   NewName:string;
   Line:TLine;
begin
inherited Create(_Image);

SetType(ncCapacitor);

// We define the system name of the capacitor
NewName:=GetGenericName;
i:=FindIndexMax(NewName);
NewName:=NewName+IntToStr(i+1);
SetName(NewName);

Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,8);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(64,8);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);

SetParametersCount(1);
SetParameterName(0,'Capacitance');
SetParameterUnit(0,'Farads');
SetParameterValue(0,1);

NodeComment.SetDeltaPosition(32,8);

Infos:=TComment.Create(_Image);
Infos.Father:=Self;
ListOfComponents.Add(Infos);
ListOfObjets.Add(Infos);

// We create the line
Line:=TLine.Create(_Image);
Line.SetInvisible(True);
// We create the links between the line and the node
Line.SetNodeBegin(NodeComment);
NodeComment.SetLine(Line);
Line.SetNodeEnd((Infos as TMyComponent).NodeComment);
(Infos as TMyComponent).NodeComment.SetLine(Line);
// We add it in the objects list
ListOfObjets.Add(Line);
end;

function TCapacitor.GetGenericName:string;
begin
Result:='Capacitor';
end;

procedure TCapacitor.SetPosition(_PosX,_PosY:integer);
begin
inherited SetPosition(_PosX,_PosY);
Sx:=64;
Sy:=16;
end;

procedure TCapacitor.GetPosition(var _PosX,_PosY:Integer);
begin
_PosX:=PosX;
_PosY:=PosY;
end;

// We Draw the capacitor
procedure TCapacitor.Draw;
var
   i,h,l:Integer;
   Node:TNode;
begin
with Image.Canvas do
   begin
   if Selected then
      begin
      Pen.Color:=clRed;
      Font.Color:=clRed;
      end
   else
      begin
      Pen.Color:=clBlack;
      Font.Color:=clBlack;
      end;
   Pen.Style:=psSolid;
   Pen.Mode:=PmCopy;
   Brush.Color:=clWhite;
   Brush.Style:=bsSolid;

   // Here begin the drawing
   MoveTo(PosX,PosY+8);
   LineTo(PosX+28,PosY+8);
   MoveTo(PosX+28,PosY);
   LineTo(PosX+28,PosY+16);
   MoveTo(PosX+36,PosY);
   LineTo(PosX+36,PosY+16);
   MoveTo(PosX+36,PosY+8);
   LineTo(PosX+64,PosY+8);
   // Here end the drawing

   // Draw nodes
   for i:=NodesList.Count-1 downto 0 do
      begin
      Node:=TNode(NodesList[i]);
      if Selected then Node.Select else Node.UnSelect;
      Node.SetPosition(PosX,PosY);
      Node.Draw;
      Brush.Color:=clWhite;
      Brush.Style:=bsSolid;
      h:=TextHeight('0');
      l:=TextWidth('0');
      if ShowNodeIndex then TextOut(PosX+Node.DPosX-l div 2,PosY+Node.DPosY-h-4,IntToStr(Node.Number));
      end;
   end;
end;

//******************************************************************************
//*******************************    Resistor    *******************************
//******************************************************************************

constructor TResistor.Create(_Image:TImage);
var
   Node:TNode;
   i:Integer;
   NewName:string;
   Line:TLine;
begin
inherited Create(_Image);

SetType(ncResistor);

// We define the system name of the resistor
NewName:=GetGenericName;
i:=FindIndexMax(NewName);
NewName:=NewName+IntToStr(i+1);
SetName(NewName);

Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,8);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(64,8);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);

SetParametersCount(1);
SetParameterName(0,'Resistance');
SetParameterUnit(0,'Ohms');
SetParameterValue(0,1);

NodeComment.SetDeltaPosition(32,4);

Infos:=TComment.Create(_Image);
Infos.Father:=Self;
ListOfComponents.Add(Infos);
ListOfObjets.Add(Infos);

// We create the line
Line:=TLine.Create(_Image);
Line.SetInvisible(True);
// We create the links between the line and the node
Line.SetNodeBegin(NodeComment);
NodeComment.SetLine(Line);
Line.SetNodeEnd((Infos as TMyComponent).NodeComment);
(Infos as TMyComponent).NodeComment.SetLine(Line);
// We add it in the objects list
ListOfObjets.Add(Line);
end;

function TResistor.GetGenericName:string;
begin
Result:='Resistor';
end;

procedure TResistor.SetPosition(_PosX,_PosY:integer);
begin
inherited SetPosition(_PosX,_PosY);
Sx:=64;
Sy:=16;
end;

procedure TResistor.GetPosition(var _PosX,_PosY:Integer);
begin
_PosX:=PosX;
_PosY:=PosY;
end;

// We Draw the resistor
procedure TResistor.Draw;
var
   i,h,l:Integer;
   Node:TNode;
begin
with Image.Canvas do
   begin
   if Selected then
      begin
      Pen.Color:=clRed;
      Font.Color:=clRed;
      end
   else
      begin
      Pen.Color:=clBlack;
      Font.Color:=clBlack;
      end;
   Brush.Color:=clWhite;
   Pen.Style:=psSolid;
   Pen.Mode:=PmCopy;
   Brush.Style:=bsSolid;

   // Here begin the drawing
   Rectangle(PosX+16,PosY,PosX+48,PosY+16);
   MoveTo(PosX,PosY+8);
   LineTo(PosX+16,PosY+8);
   MoveTo(PosX+48,PosY+8);
   LineTo(PosX+64,PosY+8);
   // Here end the drawing

   // Draw nodes
   for i:=NodesList.Count-1 downto 0 do
      begin
      Node:=TNode(NodesList[i]);
      if Selected then Node.Select else Node.UnSelect;
      Node.SetPosition(PosX,PosY);
      Node.Draw;
      Brush.Color:=clWhite;
      Brush.Style:=bsSolid;
      h:=TextHeight('0');
      l:=TextWidth('0');
      if ShowNodeIndex then TextOut(PosX+Node.DPosX-l div 2,PosY+Node.DPosY-h-4,IntToStr(Node.Number));
      end;
   end;
end;

//******************************************************************************
//*******************************    Inductor    *******************************
//******************************************************************************

constructor TInductor.Create(_Image:TImage);
var
   Node:TNode;
   i:Integer;
   NewName:string;
   Line:TLine;
begin
inherited Create(_Image);

SetType(ncInductor);

// We define the system name of the resistor
NewName:=GetGenericName;
i:=FindIndexMax(NewName);
NewName:=NewName+IntToStr(i+1);
SetName(NewName);

Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,8);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(64,8);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);

SetParametersCount(1);
SetParameterName(0,'Indutance');
SetParameterUnit(0,'Henrys');
SetParameterValue(0,1);

NodeComment.SetDeltaPosition(32,8);

Infos:=TComment.Create(_Image);
Infos.Father:=Self;
ListOfComponents.Add(Infos);
ListOfObjets.Add(Infos);

// We create the line
Line:=TLine.Create(_Image);
Line.SetInvisible(True);
// We create the links between the line and the node
Line.SetNodeBegin(NodeComment);
NodeComment.SetLine(Line);
Line.SetNodeEnd((Infos as TMyComponent).NodeComment);
(Infos as TMyComponent).NodeComment.SetLine(Line);
// We add it in the objects list
ListOfObjets.Add(Line);
end;

function TInductor.GetGenericName:string;
begin
Result:='Inductor';
end;

procedure TInductor.SetPosition(_PosX,_PosY:integer);
begin
inherited SetPosition(_PosX,_PosY);
Sx:=64;
Sy:=16;
end;

procedure TInductor.GetPosition(var _PosX,_PosY:Integer);
begin
_PosX:=PosX;
_PosY:=PosY;
end;

// We Draw the resistor
procedure TInductor.Draw;
var
   i,h,l:Integer;
   Node:TNode;
begin
with Image.Canvas do
   begin
   if Selected then
      begin
      Pen.Color:=clRed;
      Font.Color:=clRed;
      end
   else
      begin
      Pen.Color:=clBlack;
      Font.Color:=clBlack;
      end;
   Brush.Color:=clWhite;
   Pen.Style:=psSolid;
   Pen.Mode:=PmCopy;
   Brush.Style:=bsSolid;

   // Here begin the drawing
   Arc(PosX+16,PosY,PosX+32,PosY+16,PosX+16,PosY+8,PosX+32,PosY+8);
   Arc(PosX+24,PosY,PosX+40,PosY+16,PosX+24,PosY+8,PosX+40,PosY+8);   
   Arc(PosX+32,PosY,PosX+48,PosY+16,PosX+32,PosY+8,PosX+48,PosY+8);

   Arc(PosX+32,PosY+12,PosX+24,PosY,PosX+32,PosY+8,PosX+24,PosY+8);
   Arc(PosX+40,PosY+12,PosX+32,PosY,PosX+40,PosY+8,PosX+32,PosY+8);         
   MoveTo(PosX,PosY+8);
   LineTo(PosX+16,PosY+8);
   MoveTo(PosX+48,PosY+8);
   LineTo(PosX+64,PosY+8);
   // Here end the drawing

   // Draw nodes
   for i:=NodesList.Count-1 downto 0 do
      begin
      Node:=TNode(NodesList[i]);
      if Selected then Node.Select else Node.UnSelect;
      Node.SetPosition(PosX,PosY);
      Node.Draw;
      Brush.Color:=clWhite;
      Brush.Style:=bsSolid;
      h:=TextHeight('0');
      l:=TextWidth('0');
      if ShowNodeIndex then TextOut(PosX+Node.DPosX-l div 2,PosY+Node.DPosY-h-4,IntToStr(Node.Number));
      end;
   end;
end;

//******************************************************************************
//*****************************    Transformer    ******************************
//******************************************************************************

constructor TTransformer.Create(_Image:TImage);
var
   Node:TNode;
   i:Integer;
   NewName:string;
   Line:TLine;
begin
inherited Create(_Image);

SetType(ncTransformer);

// We define the system name
NewName:=GetGenericName;
i:=FindIndexMax(NewName);
NewName:=NewName+IntToStr(i+1);
SetName(NewName);

Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,0);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,16);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(40,0);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(40,16);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);

SetParametersCount(1);
SetParameterName(0,'Ratio');
SetParameterUnit(0,'');
SetParameterValue(0,1);

NodeComment.SetDeltaPosition(20,8);

Infos:=TComment.Create(_Image);
Infos.Father:=Self;
ListOfComponents.Add(Infos);
ListOfObjets.Add(Infos);

// We create the line
Line:=TLine.Create(_Image);
Line.SetInvisible(True);
// We create the links between the line and the node
Line.SetNodeBegin(NodeComment);
NodeComment.SetLine(Line);
Line.SetNodeEnd((Infos as TMyComponent).NodeComment);
(Infos as TMyComponent).NodeComment.SetLine(Line);
// We add it in the objects list
ListOfObjets.Add(Line);
end;

function TTransformer.GetGenericName:string;
begin
Result:='Transformer';
end;

procedure TTransformer.SetPosition(_PosX,_PosY:integer);
begin
inherited SetPosition(_PosX,_PosY);
Sx:=40;
Sy:=16;
end;

procedure TTransformer.GetPosition(var _PosX,_PosY:Integer);
begin
_PosX:=PosX;
_PosY:=PosY;
end;

procedure TTransformer.Draw;
var
   i,h,l:Integer;
   Node:TNode;
begin
with Image.Canvas do
   begin
   if Selected then
      begin
      Pen.Color:=clRed;
      Font.Color:=clRed;
      end
   else
      begin
      Pen.Color:=clBlack;
      Font.Color:=clBlack;
      end;
   Brush.Color:=clWhite;
   Pen.Style:=psSolid;
   Pen.Mode:=PmCopy;
   Brush.Style:=bsSolid;

   // Here begin the drawing
   Ellipse(PosX+8,PosY,PosX+24,PosY+16);
   Ellipse(PosX+16,PosY,PosX+30,PosY+16);   
   MoveTo(PosX,PosY);
   LineTo(PosX+8,PosY);
   MoveTo(PosX+8,PosY);
   LineTo(PosX+11,PosY+3);

   MoveTo(PosX,PosY+16);
   LineTo(PosX+8,PosY+16);
   MoveTo(PosX+8,PosY+16);
   LineTo(PosX+11,PosY+13);

   MoveTo(PosX+32,PosY);
   LineTo(PosX+40,PosY);
   MoveTo(PosX+32,PosY);
   LineTo(PosX+28,PosY+4);

   MoveTo(PosX+32,PosY+16);
   LineTo(PosX+40,PosY+16);
   MoveTo(PosX+32,PosY+16);
   LineTo(PosX+28,PosY+12);
   // Here end the drawing

   // Draw nodes
   for i:=NodesList.Count-1 downto 0 do
      begin
      Node:=TNode(NodesList[i]);
      if Selected then Node.Select else Node.UnSelect;
      Node.SetPosition(PosX,PosY);
      Node.Draw;
      Brush.Color:=clWhite;
      Brush.Style:=bsSolid;
      h:=TextHeight('0');
      l:=TextWidth('0');
      if ShowNodeIndex then TextOut(PosX+Node.DPosX-l div 2,PosY+Node.DPosY-h-4,IntToStr(Node.Number));
      end;
   end;
end;

//******************************************************************************
//*******************************     ZLine      *******************************
//******************************************************************************

constructor TZLine.Create(_Image:TImage);
var
   Node:TNode;
   i:Integer;
   NewName:string;
   Line:TLine;
begin
inherited Create(_Image);

SetType(ncZLine);

// We define the system name
NewName:=GetGenericName;
i:=FindIndexMax(NewName);
NewName:=NewName+IntToStr(i+1);
SetName(NewName);

Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,8);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,16);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,24);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(40,8);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(40,16);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(40,24);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);

SetParametersCount(2);
SetParameterName(0,'Zd=Zi');
SetParameterUnit(0,'Ohms');
SetParameterValue(0,1);
SetParameterName(1,'Z0');
SetParameterUnit(1,'Ohms');
SetParameterValue(1,1);

NodeComment.SetDeltaPosition(20,16);

Infos:=TComment.Create(_Image);
Infos.Father:=Self;
ListOfComponents.Add(Infos);
ListOfObjets.Add(Infos);

// We create the line
Line:=TLine.Create(_Image);
Line.SetInvisible(True);
// We create the links between the line and the node
Line.SetNodeBegin(NodeComment);
NodeComment.SetLine(Line);
Line.SetNodeEnd((Infos as TMyComponent).NodeComment);
(Infos as TMyComponent).NodeComment.SetLine(Line);
// We add it in the objects list
ListOfObjets.Add(Line);
end;

function TZLine.GetGenericName:string;
begin
Result:='Line';
end;

procedure TZLine.SetPosition(_PosX,_PosY:integer);
begin
inherited SetPosition(_PosX,_PosY);
Sx:=40;
Sy:=32;
end;

procedure TZLine.GetPosition(var _PosX,_PosY:Integer);
begin
_PosX:=PosX;
_PosY:=PosY;
end;

procedure TZLine.Draw;
var
   i,h,l:Integer;
   Node:TNode;
begin
with Image.Canvas do
   begin
   if Selected then
      begin
      Pen.Color:=clRed;
      Font.Color:=clRed;
      end
   else
      begin
      Pen.Color:=clBlack;
      Font.Color:=clBlack;
      end;
   Brush.Color:=clWhite;
   Pen.Style:=psSolid;
   Pen.Mode:=PmCopy;
   Brush.Style:=bsSolid;

   // Here begin the drawing
   Rectangle(PosX+8,PosY,PosX+32,PosY+32);
   MoveTo(PosX+0,PosY+8);
   LineTo(PosX+8,PosY+8);
   MoveTo(PosX+0,PosY+16);
   LineTo(PosX+8,PosY+16);
   MoveTo(PosX+0,PosY+24);
   LineTo(PosX+8,PosY+24);
   MoveTo(PosX+32,PosY+8);
   LineTo(PosX+40,PosY+8);
   MoveTo(PosX+32,PosY+16);
   LineTo(PosX+40,PosY+16);
   MoveTo(PosX+32,PosY+24);
   LineTo(PosX+40,PosY+24);

   // Here end the drawing

   // Draw nodes
   for i:=NodesList.Count-1 downto 0 do
      begin
      Node:=TNode(NodesList[i]);
      if Selected then Node.Select else Node.UnSelect;
      Node.SetPosition(PosX,PosY);
      Node.Draw;
      Brush.Color:=clWhite;
      Brush.Style:=bsSolid;
      h:=TextHeight('0');
      l:=TextWidth('0');
      if ShowNodeIndex then TextOut(PosX+Node.DPosX-l div 2,PosY+Node.DPosY-h-4,IntToStr(Node.Number));
      end;
   end;
end;

//******************************************************************************
//*******************************    Multipole   *******************************
//******************************************************************************

constructor TMultipole.Create(_Image:TImage);
var
   Node:TNode;
   i:Integer;
   NewName:string;
   Line:TLine;
begin
inherited Create(_Image);

SetType(ncMultipole);

// We define the system name
NewName:=GetGenericName;
i:=FindIndexMax(NewName);
NewName:=NewName+IntToStr(i+1);
SetName(NewName);

Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,8);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,16);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,24);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);

Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,40);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,48);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,56);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);

Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(40,8);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(40,16);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(40,24);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);

Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(40,40);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(40,48);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);
Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(40,56);
Node.SetBig;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);

SetParametersCount(1);
SetParameterName(0,'Resistance');
SetParameterUnit(0,'Ohms');
SetParameterValue(0,1);

NodeComment.SetDeltaPosition(20,32);

Infos:=TComment.Create(_Image);
Infos.Father:=Self;
ListOfComponents.Add(Infos);
ListOfObjets.Add(Infos);

// We create the line
Line:=TLine.Create(_Image);
Line.SetInvisible(True);
// We create the links between the line and the node
Line.SetNodeBegin(NodeComment);
NodeComment.SetLine(Line);
Line.SetNodeEnd((Infos as TMyComponent).NodeComment);
(Infos as TMyComponent).NodeComment.SetLine(Line);
// We add it in the objects list
ListOfObjets.Add(Line);
end;

function TMultipole.GetGenericName:string;
begin
Result:='Multipole';
end;

procedure TMultipole.SetPosition(_PosX,_PosY:integer);
begin
inherited SetPosition(_PosX,_PosY);
Sx:=40;
Sy:=64;
end;

procedure TMultipole.GetPosition(var _PosX,_PosY:Integer);
begin
_PosX:=PosX;
_PosY:=PosY;
end;

procedure TMultipole.Draw;
var
   i,h,l:Integer;
   Node:TNode;
begin
with Image.Canvas do
   begin
   if Selected then
      begin
      Pen.Color:=clRed;
      Font.Color:=clRed;
      end
   else
      begin
      Pen.Color:=clBlack;
      Font.Color:=clBlack;
      end;
   Brush.Color:=clWhite;
   Pen.Style:=psSolid;
   Pen.Mode:=PmCopy;
   Brush.Style:=bsSolid;

   // Here begin the drawing
   Rectangle(PosX+8,PosY,PosX+32,PosY+64);
   MoveTo(PosX,PosY+8);
   LineTo(PosX+8,PosY+8);
   MoveTo(PosX,PosY+16);
   LineTo(PosX+8,PosY+16);
   MoveTo(PosX,PosY+24);
   LineTo(PosX+8,PosY+24);

   MoveTo(PosX,PosY+40);
   LineTo(PosX+8,PosY+40);
   MoveTo(PosX,PosY+48);
   LineTo(PosX+8,PosY+48);
   MoveTo(PosX,PosY+56);
   LineTo(PosX+8,PosY+56);

   MoveTo(PosX+32,PosY+8);
   LineTo(PosX+40,PosY+8);
   MoveTo(PosX+32,PosY+16);
   LineTo(PosX+40,PosY+16);
   MoveTo(PosX+32,PosY+24);
   LineTo(PosX+40,PosY+24);

   MoveTo(PosX+32,PosY+40);
   LineTo(PosX+40,PosY+40);
   MoveTo(PosX+32,PosY+48);
   LineTo(PosX+40,PosY+48);
   MoveTo(PosX+32,PosY+56);
   LineTo(PosX+40,PosY+56);

   // Here end the drawing

   // Draw nodes
   for i:=NodesList.Count-1 downto 0 do
      begin
      Node:=TNode(NodesList[i]);
      if Selected then Node.Select else Node.UnSelect;
      Node.SetPosition(PosX,PosY);
      Node.Draw;
      Brush.Color:=clWhite;
      Brush.Style:=bsSolid;
      h:=TextHeight('0');
      l:=TextWidth('0');
      if ShowNodeIndex then TextOut(PosX+Node.DPosX-l div 2,PosY+Node.DPosY-h-4,IntToStr(Node.Number));
      end;
   end;
end;

//******************************************************************************
//*******************************    Connexion    ******************************
//******************************************************************************

constructor TConnexion.Create(_Image:TImage);
var
   Node:TNode;
   i:Integer;
   NewName:string;
   Line:TLine;
begin
inherited Create(_Image);

SetType(ncConnection);

// We define the system name of the cconnexion
NewName:=GetGenericName;
i:=FindIndexMax(NewName);
NewName:=NewName+IntToStr(i+1);
SetName(NewName);

Node:=TNode.Create(_Image);
ListOfNodes.Add(Node);
Node.SetFather(Self);
Node.SetDeltaPosition(0,0);
Node.SetSmall;
Node.SetNumber(NodesList.Count);
NodesList.Add(Node);

Infos:=TComment.Create(_Image);
Infos.Father:=Self;
ListOfComponents.Add(Infos);
ListOfObjets.Add(Infos);

// We create the line
Line:=TLine.Create(_Image);
Line.SetInvisible(True);
// We create the links between the line and the node
Line.SetNodeBegin(NodeComment);
NodeComment.SetLine(Line);
Line.SetNodeEnd((Infos as TMyComponent).NodeComment);
(Infos as TMyComponent).NodeComment.SetLine(Line);
// We add it in the objects list
ListOfObjets.Add(Line);
end;

function TConnexion.GetGenericName:string;
begin
Result:='Connexion';
end;

procedure TConnexion.SetPosition(_PosX,_PosY:integer);
begin
inherited SetPosition(_PosX,_PosY);
Sx:=NodeSize;
Sy:=NodeSize;
end;

procedure TConnexion.GetPosition(var _PosX,_PosY:Integer);
begin
_PosX:=PosX;
_PosY:=PosY;
end;

// We Draw the connexion
procedure TConnexion.Draw;
var
   i:Integer;
   Node:TNode;
begin
with Image.Canvas do
   begin
   // No drawing in this component, just one node !

   // Draw nodes
   for i:=NodesList.Count-1 downto 0 do
      begin
      Node:=TNode(NodesList[i]);
      if Selected then Node.Select else Node.UnSelect;
      Node.SetPosition(PosX,PosY);
      Node.Draw;
      end;

   end;
end;

function TConnexion.GetNode:TObjet;
begin
Result:=TNode(NodesList[0]);
end;

//******************************************************************************
//**************************    Nodes management    ****************************
//******************************************************************************

constructor TNodesList.Create;
begin
// We create the node list
NodesList:=TList.Create;
end;

destructor TNodesList.Destroy;
begin
// We free the node list
NodesList.Free;

inherited Destroy;
end;

// Give the number of nodes in the list
function TNodesList.Count:Integer;
begin
Result:=NodesList.Count;
end;

procedure TNodesList.Add(Node:TNode);
begin
NodesList.Add(Node);
end;

procedure TNodesList.Clear;
begin
NodesList.Clear;
end;

function TNodesList.Get(i:Integer):TNode;
begin
Result:=NodesList[i];
end;

procedure TNodesList.Delete;
begin
if NodesList.Count<>0 then
   while NodesList.Count<>0 do
      NodesList.Delete(0);

NodesList.Clear;
end;

procedure TNodesList.DeleteNode(Node:TNode);
var
   i:Integer;
   MyNode:TNode;
begin
if NodesList.Count<>0 then
   begin
   i:=0;
   while i<NodesList.Count do
      begin
      MyNode:=NodesList[i];
      if MyNode=Node then
         NodesList.Delete(i)
      else inc(i);
      end;
   end;
end;

// Search the node under the given coordinates
function TNodesList.GetUnder(X,Y:Integer):TNode;
var
   i:integer;
   MyNode:TNode;
   PosX,PosY:Integer;
begin
// By default, no node is found
Result:=nil;

if NodesList.Count<>0 then
   begin
   i:=0;
   while i<NodesList.Count do
      begin
      MyNode:=NodesList[i];
      MyNode.GetRealPosition(PosX,PosY);
      if (PosX=X) and (PosY=Y) then
         begin
         Result:=MyNode;
         Exit;
         end;
      inc(i);
      end;
   end;
end;

//******************************************************************************
//********************        Components management      ***********************
//******************************************************************************

constructor TListOfComponents.Create;
begin
// We create the components list
Liste:=TList.Create;
end;

destructor TListOfComponents.Destroy;
begin
// We free the components list
Liste.Free;

inherited Destroy;
end;

// Add a component
procedure TListOfComponents.Add(Component:TObjet);
begin
Liste.Add(Component);
end;

function TListOfComponents.Get(i:Integer):TObjet;
begin
Result:=Liste[i];
end;

function TListOfComponents.GetByName(Name:string):TObjet;
var
   i:Integer;
   Component:TMyComponent;
begin
Result:=nil;

i:=0;
while i<Liste.Count do
   begin
   Component:=Liste[i];
   if Component.GetName=Name then Result:=Component;
   Inc(i);
   end;
end;

//Delete a component
procedure TListOfComponents.Delete(Component:TObjet);
var
   i:Integer;
begin
i:=0;
while i<Liste.Count do
   begin
   if Liste[i]=Component then Liste.Delete(i)
   else Inc(i);
   end;
end;

// Return the number of components
function TListOfComponents.Count:Integer;
begin
Result:=Liste.Count;
end;

function TListOfComponents.ActiveCount:Integer;
var
   i,j:Integer;
   Component:TMyComponent;
begin
j:=0;
for i:=0 to Liste.Count-1 do
   begin
   Component:=Liste[i];
   if (not (Component is TNeutral)) and not (not (Component is TConnexion)) then
      inc(j);
   end;

Result:=j;
end;

procedure TListOfComponents.Clear;
begin
Liste.Clear;
end;

//******************************************************************************
//********************     Selected objects management   ***********************
//******************************************************************************

constructor TListOfSelectedObjets.Create;
begin
// We create the selected objects list
ListeSelect:=TList.Create;
end;

destructor TListOfSelectedObjets.Destroy;
begin
// We free the selected objects list
ListeSelect.Free;

inherited Destroy;
end;

// Add an object in the selected objects list
procedure TListOfSelectedObjets.Select(Objet:TObjet;X,Y:Integer);
begin
if Objet is TMyComponent then
   begin
   (Objet as TMyComponent).SetDeltaSelect(X,Y);
   Objet.Select;
   end
else if Objet is TLine then
   begin
   (Objet as TLine).SetDeltaSelect(X,Y);
   Objet.Select;
   end;

// We add it if it is not allready done
if not IsSelected(Objet) then ListeSelect.Add(Objet);
end;

// Set the delta of position with a point
procedure TListOfSelectedObjets.SetDeltaCursor(X,Y:Integer);
var
   i:Integer;
   Objet:TObjet;
begin
for i:=0 to ListeSelect.Count-1 do
   begin
   Objet:=TObjet(ListeSelect[i]);
   if Objet is TMyComponent then
      (Objet as TMyComponent).SetDeltaSelect(X,Y)
   else if Objet is TLine then
      (Objet as TLine).SetDeltaSelect(X,Y);
   end;
end;

// Returen the number of selected objects
function TListOfSelectedObjets.Count:Integer;
begin
Result:=ListeSelect.Count;
end;

procedure TListOfSelectedObjets.Clear;
begin
ListeSelect.Clear;
end;

function TListOfSelectedObjets.GetObjet(i:Integer):TObjet;
begin
Result:=ListeSelect[i];
end;

// Draw of all selected objects
procedure TListOfSelectedObjets.Draw;
var
   i:Integer;
   Objet:TObjet;
begin
// Lines first (under)
for i:=0 to ListeSelect.Count-1 do
   begin
   Objet:=TObjet(ListeSelect[i]);
   if Objet is TLine then
      begin
      // Now, we only draw
      (Objet as TLine).Draw;
      end;
   end;
// Component after (above)
for i:=0 to ListeSelect.Count-1 do
   begin
   Objet:=TObjet(ListeSelect[i]);
   if Objet is TMyComponent then
      begin
      // We Draw the objects and the lines connected to it
      (Objet as TMyComponent).Draw;
      (Objet as TMyComponent).DrawLines;
      end;
   end;
end;

// Move of all selected objects
procedure TListOfSelectedObjets.Move(X,Y:Integer;ColleGrille:Boolean);
var
   i,Dx,Dy:Integer;
   Objet:TObjet;
begin
for i:=0 to ListeSelect.Count-1 do
   begin
   Objet:=TObjet(ListeSelect[i]);
   if Objet is TMyComponent then
      begin
      // We get the delta with the cursor
      (Objet as TMyComponent).GetDeltaSelect(Dx,Dy);
      // We align on the grid if it is active
      if ColleGrille then
         (Objet as TMyComponent).SetPosition(Trunc((X+Dx)/GridStep)*GridStep,Trunc((Y+Dy)/GridStep)*GridStep)
      else
         (Objet as TMyComponent).SetPosition(X+Dx,Y+Dy);

      // We Draw the objects
      // The connected lines are processed after
      // The components are drawn at the and to be above
      //(Objet as TMyComponent).Draw;
      end;
   end;

// We draw the lines after to the components to be sure the node coordinates are updated
for i:=0 to ListeSelect.Count-1 do
   begin
   Objet:=TObjet(ListeSelect[i]);
   if Objet is TMyComponent then
      begin
      // We draw non selected lines
      (Objet as TMyComponent).DrawLinesNonSelect;
      end;
   end;
for i:=0 to ListeSelect.Count-1 do
   begin
   Objet:=ListeSelect[i];
   // We draw selected lines
   if Objet is TLine then
      (Objet as TLine).Draw;
   end;

// We end drawing components to have them above
for i:=0 to ListeSelect.Count-1 do
   begin
   Objet:=TObjet(ListeSelect[i]);
   if Objet is TMyComponent then
      (Objet as TMyComponent).Draw;
   end;
end;

function TListOfSelectedObjets.IsSelected(Objet:TObjet):Boolean;
var
   i:Integer;
begin
Result:=False;
for i:=0 to ListeSelect.Count-1 do
   if Objet=TObjet(ListeSelect[i]) then
      begin
      Result:=True;
      Exit;
      end;
end;

// Checks if the line est connected to a selected component
function TListOfSelectedObjets.ConnectedLine(Line:TObjet):Boolean;
var
   i:Integer;
   Objet:TObjet;
   Component:TMyComponent;
begin
Result:=False;
for i:=0 to ListeSelect.Count-1 do
   begin
   Objet:=TObjet(ListeSelect[i]);
   if Objet is TMyComponent then
      begin
      Component:=Objet as TMyComponent;
      if Component.IsConnectedToLine(Line as TLine) then
         begin
         Result:=True;
         Exit;
         end;
      end;
   end;
end;

procedure TListOfSelectedObjets.UnSelect;
var
   i:Integer;
   Objet:TObjet;
   Component:TMyComponent;
   Line:TLine;
begin
ListeSelect.Clear;

// Loo^p on the objects
// Lines first
for i:=ListOfObjets.Count-1 downto 0 do
   begin
   Objet:=TObjet(ListOfObjets[i]);
   if Objet is TLine then
      begin
      Line:=TLine(ListOfObjets[i]);
      // If the component is selected
      if Line.Selected then
         begin
         // We unselect it
         Line.UnSelect;
         // We draw it again
         Line.Draw;
         end;
      end;
   end;
// Components after
for i:=ListOfObjets.Count-1 downto 0 do
   begin
   Objet:=TObjet(ListOfObjets[i]);
   if Objet is TMyComponent then
      begin
      Component:=TMyComponent(ListOfObjets[i]);
      // If the component is selected
      if Component.Selected then
         begin
         // We unselect it
         Component.UnSelect;
         // We draw it again
         Component.Draw;
         end;
      end;
   end;

end;

procedure TListOfSelectedObjets.UnSelectObjet(Objet:TObjet);
var
   i:Integer;
   MyObjet:TObjet;
   Component:TMyComponent;
   Line:TLine;
begin
// Loop on the objets
// Line before (under)
for i:=ListOfObjets.Count-1 downto 0 do
   begin
   MyObjet:=TObjet(ListOfObjets[i]);
   if MyObjet is TLine then
      begin
      Line:=TLine(ListOfObjets[i]);
      // If the component is selected
      if Line.Selected and (MyObjet=Objet) then
         begin
         // We unselect it  // It is not deleted from ListObjetsSelect
         Line.UnSelect;
         // We draw it again
         Line.Draw;
         end;
      end;
   end;
// Components after (above)
for i:=ListOfObjets.Count-1 downto 0 do
   begin
   MyObjet:=TObjet(ListOfObjets[i]);
   if MyObjet is TMyComponent then
      begin
      Component:=TMyComponent(ListOfObjets[i]);
      // If the component is selected
      if Component.Selected and (MyObjet=Objet) then
         begin
         // We unselect it
         Component.UnSelect;
         // We draw it again
         Component.Draw;
         end;
      end;
   end;
end;

procedure TListOfSelectedObjets.Delete;
var
   MyObjet:TObjet;
begin
if ListeSelect.Count<>0 then
   begin
   while ListeSelect.Count<>0 do
      begin
      MyObjet:=TObjet(ListeSelect[0]);
      // If it is a component
      if MyObjet is TMyComponent then
         begin
         // Delete the lines connected to it
         (MyObjet as TMyComponent).DelLines;

         // Delete from ListOfComponents
         ListOfComponents.Delete(MyObjet);

          // Delete from ListOfObjets
         ListObjetsDelete(MyObjet);

         // Free the nodes
         (MyObjet as TMyComponent).FreeNodes;
         // Free the Component
         (MyObjet as TMyComponent).Free;
         UpdateSpy;
         end

      // if it is a line
      else if MyObjet is TLine then
         begin
         // Delete the links of the components connected to this line
         (MyObjet as TLine).UnSetNodes;

         // Delete from ListOfObjets
         ListObjetsDelete(MyObjet);

         // Delete the ligne
         (MyObjet as TLine).Free;
         UpdateSpy;
         end;

      if ListeSelect.Count<>0 then ListeSelect.Delete(0);
      end;
   end;

ListeSelect.Clear;
end;

procedure TListOfSelectedObjets.DeleteObjet(Objet:TObjet);
var
   i:Integer;
   MyObjet:TObjet;
begin
if ListeSelect.Count<>0 then
   begin
   i:=0;
   while i<ListeSelect.Count do
      begin
      MyObjet:=TObjet(ListeSelect[i]);
      if MyObjet=Objet then
         begin
         // If it is aComponent
         if MyObjet is TMyComponent then
            begin
            // Delete  the lines connected to it
            (MyObjet as TMyComponent).DelLines;


            // Delete the Component // Not here else it crach later
//            (MyObjet as TMyComponent).Free;
            end

         // If it is a line
         else if MyObjet is TLine then
            begin
            // Delete the links of the components connected to this line
            (MyObjet as TLine).UnSetNodes;


            // Delete line // Not here else it crach later
//            (MyObjet as TLine).Free;
            UpdateSpy;
            end;
         ListeSelect.Delete(i);
         end
      else inc(i);
      end;
   end;
end;

procedure TListOfSelectedObjets.SelectRectangle(X1,Y1,X2,Y2:Integer);
var
   i:Integer;
   MyObjet:TObjet;
   Temp:Integer;
begin
// Lopp on the objects
for i:=ListOfObjets.Count-1 downto 0 do
   begin
   MyObjet:=TObjet(ListOfObjets[i]);
   if X1>X2 then
      begin
      Temp:=X1;
      X1:=X2;
      X2:=Temp;
      end;
   if Y1>Y2 then
      begin
      Temp:=Y1;
      Y1:=Y2;
      Y2:=Temp;
      end;
   if MyObjet.ObjetIsInRectangle(X1,Y1,X2,Y2) then
      begin
      ListeSelect.Add(MyObjet);
      MyObjet.Select;
      end;
   end;
end;

//******************************************************************************
//********************************   Divers   **********************************
//******************************************************************************

// Update of the spy list of objects (debug)
procedure UpdateSpy;
var
   Objet:TObjet;
   i:Integer;
begin
ComponentList.ListBox1.Clear;
for i:=0 to ListOfObjets.Count-1 do
   begin
   Objet:=TObjet(ListOfObjets[i]);
   ComponentList.ListBox1.Items.Add(Objet.GetName)
   end;
end;

// Fin an object in the object list
function FindObjectInList(MyObjet:TObjet):Integer;
var
   i:Integer;
begin
Result:=-1;
for i:=0 to ListOfObjets.Count-1 do
   if MyObjet=TObjet(ListOfObjets[i]) then
      begin
      Result:=i;
      Exit;
      end;
end;

// Find an objet with its name
function GetObjetByName(Name:string):TObjet;
var
   i:Integer;
   MyObjet:TObjet;
begin
i:=0;
while i<=ListOfObjets.Count-1 do
   begin
   MyObjet:=TObjet(ListOfObjets.Items[i]);
   if MyObjet.GetName=Name then
      begin
      Result:=MyObjet;
      Exit;
      end
   else Inc(i);
   end;
ShowMessage('Error : Object not found');
end;

// Delete an objet in the objets list
procedure ListObjetsDelete(MyObjet:TObject);
var
   i:Integer;
begin
i:=0;
while i<=ListOfObjets.Count-1 do
   begin
   if MyObjet=TObjet(ListOfObjets.Items[i]) then
      begin
      ListOfObjets.Delete(i);
      Exit;
      end
   else Inc(i);
   end;
ShowMessage('Error : Object not found');
end;

// Extract the name form the system name
function GetName(Name:string):string;
var
   l:Integer;
begin
l:=Length(Name);
while (l>0) and (Name[l] in ['0'..'9']) do
   begin
   Delete(Name,l,1);
   Dec(l);
   end;
Result:=Name;
end;

// Give the index from the system name
function GetIndex(Name:string):integer;
var
   i,l:Integer;
begin
l:=Length(Name);
i:=1;
while (i<l) and not (Name[i] in ['0'..'9']) do Inc(i);
Result:=StrToInt(Copy(Name,i,l-i+1));
end;

// Give maximum not used index of a system name
function FindIndexMax(Name:string):Integer;
var
   i,Index,Max:Integer;
   Objet:TObjet;
begin
Max:=-1;
for i:=0 to ListOfObjets.Count-1 do
   begin
   Objet:=TObjet(ListOfObjets[i]);
   if GetName(Objet.GetName)=Name then
      begin
      Index:=GetIndex(Objet.GetName);
      if Index>Max then Max:=Index;
      end;
   end;
Result:=Max;
end;

//******************************************************************************
//**********************************   GUI   ***********************************
//******************************************************************************

procedure TDesktop.FormCreate(Sender: TObject);
begin
ShowValues:=False;
InMove:=False;
ObjetMoved:=False;
DrawMode:=True;
SelectLineWithNodes:=True;
AutoConnect:=True;
LineWithComponent:=1;

BackImageSave:=TImage.Create(Self);
BackImageSave.Width:=Image1.Width;
BackImageSave.Height:=Image1.Height;

with BackImageSave.Canvas do
   begin
   Pen.Color:=clWhite;
   Brush.Color:=clWhite;
   Pen.Style:=psSolid;
   Pen.Mode:=PmCopy;
   Brush.Style:=bsSolid;
   Rectangle(0,0,BackImageSave.Width,BackImageSave.Height);
   end;

ListOfObjets:=TList.Create;

ListOfNodes:=TNodesList.Create;

ListOfComponents:=TListOfComponents.Create;

ListOfSelectedObjets:=TListOfSelectedObjets.Create;

// No selected component at begining
ComponentType:=ncNone;

// Grid
GridStep:=8;
// First draw of the grid
DrawGrid;

// To know we must not free the next line
LineXOld:=-1;
end;

// We clean the workspace
procedure TDesktop.FreeImage;
begin
// All in white
with Image1.Canvas do
   begin
   Pen.Color:=clWhite;
   Brush.Color:=clWhite;
   Pen.Style:=psSolid;
   Pen.Mode:=PmCopy;
   Brush.Style:=bsSolid;
   Rectangle(0,0,Image1.Width,Image1.Height);
   end;
end;

procedure TDesktop.FreeObjects;
var
 Objet:TObjet;
 Component:TMyComponent;
 Line:TLine;
begin
// We free all objects
while ListOfObjets.Count>=1 do
   begin
   Objet:=TObjet(ListOfObjets[0]);
   if Objet is TMyComponent then
      begin
      Component:=Objet as TMyComponent;
      Component.FreeNodes;
      Component.Free;
      ListOfObjets.Delete(0);
      UpdateSpy;
      end
   else if Objet is TLine then
      begin
      Line:=Objet as TLine;
      Line.Free;
      ListOfObjets.Delete(0);
      UpdateSpy;
      end;
   end;
end;

procedure TDesktop.FormDestroy(Sender: TObject);
begin
ListOfComponents.Free;
ListOfObjets.Free;
ListOfNodes.Free;
ListOfSelectedObjets.Free;
BackImageSave.Free;
end;

procedure TDesktop.SpeedButton1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ComponentType:=ncNone;
end;

procedure TDesktop.SpeedButton2MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ComponentType:=ncResistor;
end;

procedure TDesktop.SpeedButton5MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ComponentType:=ncSourceDC;
end;

procedure TDesktop.SpeedButton6MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ComponentType:=ncNeutral;
end;

// Search the objet under the given coordinates
function TDesktop.ObjetUnder(X,Y:Integer):TObjet;
var
   i:integer;
   Objet:TObjet;
   Component:TMyComponent;
   Line:TLine;
begin
// By defaut, found nothing
Result:=nil;
// Priority to components
// Loop on the objects
for i:=ListOfObjets.Count-1 downto 0 do
   begin
   Objet:=TObjet(ListOfObjets[i]);
   // If it is a component
   if Objet is TMyComponent then
      begin
      Component:=TMyComponent(Objet);
      // If there is a component under
      if Component.IsUnder(X,Y) then
         begin
         // The objet is found
         Result:=Objet;
         Exit;
         end;
      end;
   end;
for i:=ListOfObjets.Count-1 downto 0 do
   begin
   Objet:=TObjet(ListOfObjets[i]);
   // If it is a line
   if Objet is TLine then
      begin
      Line:=TLine(Objet);
      // If there is a line under
      if Line.IsUnder(X,Y) then
         begin
         // The line is found
         Result:=Objet;
         Exit;
         end;
      end;
   end;

end;

function TDesktop.LineExist(_Line:TLine):Boolean;
var
   i:integer;
   Objet:TObjet;
   Line:TLine;
begin
Result:=False;
// Loop on the objets
for i:=ListOfObjets.Count-1 downto 0 do
   begin
   Objet:=TObjet(ListOfObjets[i]);
   // If it is a line
   if Objet is TLine then
      begin
      Line:=TLine(Objet);
      if (Line.NodeBegin=_Line.NodeBegin)
         and (Line.EndNode=_Line.EndNode)
         and (Line<>_Line) then
         begin
         Result:=True;
         Exit;
         end;
      end;
   end;
end;

// Draw all the components
procedure TDesktop.DrawObjets;
var
   i:integer;
   Objet:TObjet;
   Component:TMyComponent;
   Line:TLine;
begin
// Loop on the objets
// Lines first (under)
for i:=ListOfObjets.Count-1 downto 0 do
   begin
   Objet:=TObjet(ListOfObjets[i]);
   // If it is a line
   if Objet is TLine then
      begin
      Line:=TLine(Objet);
      // Draw the line
      Line.Draw;
      end;
   end;
// Components after (above)
for i:=ListOfObjets.Count-1 downto 0 do
   begin
   Objet:=TObjet(ListOfObjets[i]);
   // If it is a Component
   if Objet is TMyComponent then
      begin
      Component:=TMyComponent(Objet);
      // Draw the component
      Component.Draw;
      end;
   end;
end;

// Draw all the components
procedure TDesktop.DrawComponents;
var
   i:integer;
   MyObjet:TObject;
begin
// Loop on objects
for i:=0 to ListOfObjets.Count-1 do
   begin
   MyObjet:=TObjet(ListOfObjets[i]);
   if (MyObjet is TMyComponent) then
         (MyObjet as TMyComponent).Draw;
   end;
end;

// Draw all non selected objects
// We do not draw the selected components and their lines
procedure TDesktop.DrawComponentsNonSelect;
var
   i:integer;
   MyObjet:TObject;
begin
// Loop on the objects
// Lines first  (under)
for i:=0 to ListOfObjets.Count-1 do
   // We draw again only non selected objects
   if not ListOfSelectedObjets.IsSelected(TObjet(ListOfObjets[i])) then
      begin
      MyObjet:=TObjet(ListOfObjets[i]);
      if (MyObjet is TLine) then
         begin
         // If no component is selected
         if ListOfSelectedObjets.Count=0 then
            // We directly drawOn the line
            (MyObjet as TLine).Draw
         else
            begin
            // Else we draw the line only if it is not connected at the selected component
            if not ListOfSelectedObjets.ConnectedLine(MyObjet as TLine) then (MyObjet as TLine).Draw;
            end;
         end;
      end;
// Components after (above)
for i:=0 to ListOfObjets.Count-1 do
   // We draw again only non selected objects
   if not ListOfSelectedObjets.IsSelected(TObjet(ListOfObjets[i])) then
      begin
      MyObjet:=TObjet(ListOfObjets[i]);
      if (MyObjet is TMyComponent) then
         begin
         // Draw component
         (MyObjet as TMyComponent).Draw;
         end;
      end;
end;

// Drax grid with the step GridStep
procedure TDesktop.DrawGrid;
var
   i,j:integer;
begin
i:=0;
while i<Image1.Width do
   begin
   j:=0;
   while j<Image1.height do
      begin
      Image1.Canvas.Pixels[i,j]:=clBlack;
      j:=j+GridStep;
      end;
   i:=i+GridStep;
   end;
end;

// Increase grid step
procedure TDesktop.SpinButton1DownClick(Sender: TObject);
begin
// The grid step can't be less than 4
if GridStep>4 then
   begin
   // We clean all
   FreeImage;
   // We divide  the grid step by 2
   GridStep:=GridStep div 2;
   // We update the interface
   Edit1.Text:=IntToStr(GridStep);
   // We draw the grid if needed
   if (CheckBox1.Checked) and (GridStep<>1) then DrawGrid;
   // We draw all objets
   DrawObjets;
   end;
end;

// Decrease grid step
procedure TDesktop.SpinButton1UpClick(Sender: TObject);
begin
// The grid step can't be more than 64
if GridStep<64 then
   begin
   // We clean all
   FreeImage;
   // We multiply the grid step by 2
   GridStep:=GridStep*2;
   // We update the interface
   Edit1.Text:=IntToStr(GridStep);
   // We draw the grid if needed
   if (CheckBox1.Checked) and (GridStep<>1) then DrawGrid;
   // We draw all objets
   DrawObjets;
   end;
end;

// Refresh all
procedure TDesktop.Refresh;
begin
// We clean all
FreeImage;
// We draw the grid if needed
if (CheckBox1.Checked) and (GridStep<>1) then DrawGrid;
// We draw all objets
DrawObjets;
end;

// Switch on/off the grid
procedure TDesktop.CheckBox1Click(Sender: TObject);
begin
Refresh;
end;

// Manual refresh all
procedure TDesktop.SpeedButton3MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
DrawMode:=True;
end;

procedure TDesktop.SpeedButton4MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
DrawMode:=False;
SpeedButton1.Down:=True;
ComponentType:=ncNone;
end;

procedure SaveSchema(Name:string);
var
   T:TextFile;
   Objet:TObjet;
   i,j:Integer;
   PosX,PosY:integer;
   N1,N2:TNode;
   Path:string;
   Node1,Node2:TNode;
begin
AssignFile(T,Name);
Path:=ExtractFilePath(Application.ExeName);
Rewrite(T);

Writeln(T,'<?xml version=''1.0'' encoding=''UTF16'' standalone=''yes''?>');

Writeln(T,'<workspace>');
Writeln(T,'<gridstep>'+IntToStr(GridStep)+'</gridstep>');
Writeln(T,'</workspace>');

Writeln(T,'<schema>');
for i:=0 to ListOfObjets.Count-1 do
   begin
   Objet:=TObjet(ListOfObjets[i]);
   if (Objet is TMyComponent) and not (Objet is TComment) then
      begin
      Writeln(T,'<component>');
      Writeln(T,'<type>'+IntToStr(Objet.GetType)+'</type>');
      Writeln(T,'<name>'+Objet.GetName+'</name>');
      (Objet as TMyComponent).GetPosition(PosX,PosY);
      Writeln(T,'<positionx>'+IntToStr(PosX)+'</positionx>');
      Writeln(T,'<positiony>'+IntToStr(PosY)+'</positiony>');
      Writeln(T,'<parameternumber>'+IntToStr((Objet as TMyComponent).GetParametersCount)+'</parameternumber>');
      for j:=0 to (Objet as TMyComponent).GetParametersCount-1 do
         begin
         Writeln(T,'<parametername>'+(Objet as TMyComponent).GetParameterName(j)+'</parametername>');
         Writeln(T,'<parametervalue>'+FloatToStr((Objet as TMyComponent).GetParameterValue(j))+'</parametervalue>');
         end;
      Writeln(T,'</component>');
      end;
   end;

 for i:=0 to ListOfObjets.Count-1 do
   begin
   Objet:=TObjet(ListOfObjets[i]);
   if Objet is TLine then
      begin
      Node1:=(Objet as TLine).GetNodeBegin as TNode;
      Node2:=(Objet as TLine).GetNodeEnd as TNode;
      if not(Node1.GetFather is TComment) and not(Node2.GetFather is TComment) then
         begin
         Writeln(T,'<line>');
         Writeln(T,'<name>'+Objet.GetName+'</name>');
         N1:=(Objet as TLine).GetNodeBegin as TNode;
         N1.GetRealPosition(PosX,PosY);
         Writeln(T,'<positionx1>'+IntToStr(PosX)+'</positionx1>');
         Writeln(T,'<positiony1>'+IntToStr(PosY)+'</positiony1>');
         N2:=(Objet as TLine).GetNodeEnd as TNode;
         N2.GetRealPosition(PosX,PosY);
         Writeln(T,'<positionx2>'+IntToStr(PosX)+'</positionx2>');
         Writeln(T,'<positiony2>'+IntToStr(PosY)+'</positiony2>');
         Writeln(T,'</line>');
         end;
      end;
   end;

Writeln(T,'</schema>');
CloseFile(T);
end;

procedure TDesktop.Enregistrer1Click(Sender: TObject);
begin
SaveDialog1.Filter:='Fichiers schma *.sch|*.sch';
if SaveDialog1.Execute then
   begin
   SchemaName:=SaveDialog1.FileName;
   if Uppercase(ExtractFileExt(SchemaName))<>'.SCH' then SchemaName:=SchemaName+'.sch';
   Caption:='Fendi : '+ExtractFileName(SchemaName);
   SaveSchema(SchemaName);
   end;
end;

procedure TDesktop.Charger1Click(Sender: TObject);
var
   T:TextFile;
   Component:TMyComponent;
   i:Integer;
   PosX,PosY:integer;
   Line,Name:string;
   Typ:Integer;
   Lin:TLine;
   NodeBegin,EndNode:TNode;
begin
FreeObjects;
ListOfObjets.Clear;
ListOfNodes.Clear;
ListOfSelectedObjets.Clear;
ListOfComponents.Clear;

OpenDialog1.Filter:='Fichiers schma *.sch|*.sch';
if OpenDialog1.Execute then
   begin
   SchemaName:=OpenDialog1.FileName;
   AssignFile(T,SchemaName);
   Reset(T);
   Readln(T,Line); // Writeln(T,'<?xml version=''1.0'' encoding=''UTF16'' standalon=''yes''?>');

   Readln(T,Line); // Writeln(T,'<workspace>');
   Readln(T,Line);
   GridStep:=StrToInt(Copy(Line,11,Length(Line)-21)); // Writeln(T,'<gridstep>'+IntToStr(GridStep)+'</gridstep>');
   Readln(T,Line); // Writeln(T,'</workspace>');

   // Clean all
   FreeImage;
   // We update the grid step
   Edit1.Text:=IntToStr(GridStep);
   // We draw the grid if asked
   if (CheckBox1.Checked) and (GridStep<>1) then DrawGrid;

   Readln(T,Line); // Writeln(T,'<schema>');
   Readln(T,Line);
   if Line<>'<component>' then
      begin
      ShowMessage('Error : No component in the file');
      Exit;
      end;

   while Line='<component>' do
      begin
      // Create Component
      // Writeln(T,'<type>'+Objet.GetType+'</type>');
      Readln(T,Line);
      Typ:=StrToInt(Copy(Line,7,Length(Line)-13));
      // Writeln(T,'<name>'+Objet.GetName+'</name>');
      Readln(T,Line);
      Name:=Copy(Line,7,Length(Line)-13);
      // Writeln(T,'<positionx>'+IntToStr(PosX)+'</positionx>');
      Readln(T,Line);
      PosX:=StrToInt(Copy(Line,12,Length(Line)-23));
      // Writeln(T,'<positiony>'+IntToStr(PosY)+'</positiony>');
      Readln(T,Line);
      PosY:=StrToInt(Copy(Line,12,Length(Line)-23));

      case Typ of
         ncConnection :Component:=TConnexion.Create(Image1);
         ncCapacitor  :Component:=TCapacitor.Create(Image1);
         ncResistor   :Component:=TResistor.Create(Image1);
         ncInductor   :Component:=TInductor.Create(Image1);         
         ncSourceDC   :Component:=TSourceDC.Create(Image1);
         ncNeutral    :Component:=TNeutral.Create(Image1);
         ncSourceAC   :Component:=TSourceAC.Create(Image1);
         ncTransformer:Component:=TTransformer.Create(Image1);
         ncZLine      :Component:=TZLine.Create(Image1);
         ncMultipole  :Component:=TMultipole.Create(Image1);                           
         end;

      Component.SetType(Typ);
      Component.SetName(Name);
      Component.SetPosition(PosX,PosY);
      (Component.Infos as TComment).SetPosition(PosX,PosY);
      ListOfObjets.Add(Component);
      ListOfComponents.Add(Component);

//      Writeln(T,'<parameternumber>'+IntToStr((Objet as TMyComponent).GetParametersCount)+'</parameternumber>');
      Readln(T,Line);
      Line:=Copy(Line,18,Length(Line)-35);
      Component.SetParametersCount(StrToInt(Line));
      for i:=0 to Component.GetParametersCount-1 do
         begin
//         Writeln(T,'<parametername>'+(Objet as TMyComponent).GetParameterName(j)+'</parametername>');
         Readln(T,Line);
         Line:=Copy(Line,16,Length(Line)-31);
         Component.SetParameterName(i,Line);
//         Writeln(T,'<parametervalue>'+FloatToStr((Objet as TMyComponent).GetParameter(j))+'</parametervalue>');
         Readln(T,Line);
         Line:=Copy(Line,17,Length(Line)-33);
         Component.SetParameterValue(i,StrToFloat(Line));
         end;

      Readln(T,Line);  // </Component>
      Readln(T,Line);
      end;

   while Line='<line>' do
      begin
      // Writeln(T,'<name>'+Objet.GetName+'</name>');
      Readln(T,Line);
      Name:=Copy(Line,7,Length(Line)-13);

//         Writeln(T,'<positionx1>'+IntToStr(N1.PosX)+'</positionx1>');
//         Writeln(T,'<positiony1>'+IntToStr(N1.PosY)+'</positiony1>');
//         Writeln(T,'<positionx2>'+IntToStr(N2.PosX)+'</positionx2>');
//         Writeln(T,'<positiony2>'+IntToStr(N2.PosY)+'</positiony2>');

      Readln(T,Line);
      PosX:=StrToInt(Copy(Line,13,Length(Line)-25));
      Readln(T,Line);
      PosY:=StrToInt(Copy(Line,13,Length(Line)-25));
      NodeBegin:=ListOfNodes.GetUnder(PosX,PosY);

      Readln(T,Line);
      PosX:=StrToInt(Copy(Line,13,Length(Line)-25));
      Readln(T,Line);
      PosY:=StrToInt(Copy(Line,13,Length(Line)-25));
      EndNode:=ListOfNodes.GetUnder(PosX,PosY);

      Lin:=TLine.Create(Image1);
      Lin.SetName(Name);

      Lin.SetNodeBegin(NodeBegin);
      NodeBegin.SetLine(Lin);
      Lin.SetNodeEnd(EndNode);
      EndNode.SetLine(Lin);

      ListOfObjets.Add(Lin);

      Readln(T,Line);  // </line>
      Readln(T,Line);
      end;

   Refresh;
   UpdateSpy;

   CloseFile(T);

   Caption:='Fendi : '+ExtractFileName(OpenDialog1.FileName);
   end;

if not TestCompatiblity then ShowMessage('Warning : Network uncompatible with engine')
end;

// A mouse button is pushed
procedure TDesktop.Image1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
   ComponentUnder:TMyComponent;
   Node:TNode;
   i:Integer;
   ObjetDessous:TObjet;
   Point:TPoint;
   PosX,PosY:Integer;

   Connexion:TConnexion;
   Line:TLine;
   NodeComponent,NodeConnexion:TNode;
   MiddleNode,EndNode:TObjet;

   ACaption,APrompt:string;
   Value:string;
begin
if DoubleClick then
   begin
   DoubleClick:=False;
   Exit;
   end;

//ObjetDessous:=nil;
ComponentUnder:=nil;
//LineDessous:=nil;
Node:=nil;

// We analyse the situation
// Is there an object under ?
ObjetDessous:=ObjetUnder(X,Y);
if ObjetDessous<>nil then
   begin
   // Is there a component under ?
   if ObjetDessous is TMyComponent then
      begin
      ComponentUnder:=TMyComponent(ObjetDessous);
      // Is there a node under ?
      // We ignore in Move mode
      if DrawMode then Node:=ComponentUnder.IsNodeUnder(x,y);
      end;
   // Is there a line under ?
   if ObjetDessous is TLine then
      begin
//      LineDessous:=TLine(ObjetDessous);
//      LineDessous:=ObjetDessous as TLIne;
      end;
   end;

if Button=mbLeft then
   begin
   // If ctrl or shift are pushed or an object is under, we simply add
   // the object to the selected list
   if (ssShift in Shift) or (ssCtrl in Shift) and (ObjetDessous<>nil) then
      begin
      // We select the object
      ListOfSelectedObjets.Select(ObjetDessous,X,Y);
      // We refresh display
      FreeImage;
      if (CheckBox1.Checked) and (GridStep<>1) then DrawGrid;
      // We draw again all the objects
      DrawObjets;
      Exit;
      end;

   // The left mouse button is pushed
   Down:=True;

   // If there is a node under, the priority is to begin or end a line
   if Node<>nil then
      begin
      // If it is the and of the line
      if DrawLine then
         begin
         AskEnDrawLine:=True;

         // We clean the old line
         with Image1.Canvas do
            begin
            Pen.Color:=clBlack;
            Pen.Style:=psSolid;
            Pen.Mode:=PmNotXor;
            Brush.Style:=bsClear;
            MoveTo(XLineBeg,YLineBeg);
            LineTo(LineXOld,LineYOld);
            end;

         CurrentLine.SetNodeEnd(Node);
         Node.SetLine(CurrentLine);

         // We do not draw a zero length line or a double line
         // We clean it
         if (CurrentLine.Length=0) or LineExist(CurrentLine) then
           begin
           CurrentLine.UnSetNodes;
           ListOfSelectedObjets.UnSelectObjet(CurrentLine);
           ListOfSelectedObjets.DeleteObjet(CurrentLine);
           ListObjetsDelete(CurrentLine);
           CurrentLine.Free;
           UpdateSpy;
           end
         else CurrentLine.Draw;

         // To say we must not free the next line
         LineXOld:=-1;
         end
      // Else it is the begin of the line
      else
         begin
         // We say a line is currntly drawn
         DrawLine:=True;
         // We ask the begining position at the node
         Node.GetRealPosition(XLineBeg,YLineBeg);
         // We create the line
         CurrentLine:=TLine.Create(Image1);
         // We create the links between the line and the node
         CurrentLine.SetNodeBegin(Node);
         Node.SetLine(CurrentLine);
         // We add it in the objects list
         ListOfObjets.Add(CurrentLine);

         UpdateSpy;
         end;
      end
   else
      begin
      // If there is no node under but another object
      // and we are not drawing a line
      if (ObjetDessous<>nil) and not DrawLine then
         begin
         // If the object under is not selected, we are going to unselect all objects
         // the select only this one
         if not ListOfSelectedObjets.IsSelected(ObjetDessous) then
            begin
            // Unselect all objects
            ListOfSelectedObjets.UnSelect;
            // We select the object
            ListOfSelectedObjets.Select(ObjetDessous,X,Y);
            // If it is a line
            if ObjetDessous is TLine then
               begin
               // If the node are owned by a connexion, we unselect them for the move
               if SelectLineWithNodes then
                  begin
                  if ((ObjetDessous as TLine).GetNodeBegin as TNode).Father is TConnexion then
                     ListOfSelectedObjets.Select(((ObjetDessous as TLine).GetNodeBegin as TNode).Father,X,Y);
                  if ((ObjetDessous as TLine).GetNodeEnd as TNode).Father is TConnexion then
                     ListOfSelectedObjets.Select(((ObjetDessous as TLine).GetNodeEnd as TNode).Father,X,Y);
                  end;
               // If the node are owned by a component, we unselect them for the move
               if LineWithComponent=0 then
                  begin
                  if (((ObjetDessous as TLine).GetNodeBegin as TNode).Father is TMyComponent)
                     and not(((ObjetDessous as TLine).GetNodeBegin as TNode).Father is TConnexion) then
                     ListOfSelectedObjets.Select(((ObjetDessous as TLine).GetNodeBegin as TNode).Father,X,Y);
                  if (((ObjetDessous as TLine).GetNodeEnd as TNode).Father is TMyComponent)
                     and not(((ObjetDessous as TLine).GetNodeEnd as TNode).Father is TConnexion) then
                     ListOfSelectedObjets.Select(((ObjetDessous as TLine).GetNodeEnd as TNode).Father,X,Y);
                  end;
               end;
            // We refresh the desktop
            FreeImage;
            if (CheckBox1.Checked) and (GridStep<>1) then DrawGrid;
            // We draw again all the objects
            DrawObjets;
            end;

         // If it is a line
         if ObjetDessous is TLine then
            begin
            // Behavior in Draw mode
            if DrawMode then
               begin
               // We insert a new connexion
               // We create the connexion
               Connexion:=TConnexion.Create(Image1);
               // Grid alignment
               if CheckBox1.Checked then
                  Connexion.SetPosition(Trunc(X/GridStep)*GridStep,Trunc(Y/GridStep)*GridStep)
               else
                  Connexion.SetPosition(X,Y);
               Connexion.Draw;
               ListOfObjets.Add(Connexion);
               MiddleNode:=Connexion.GetNode;
               EndNode:=(ObjetDessous as TLine).GetNodeEnd;
               // Unconnect/Connect the line
               with (ObjetDessous as TLine) do
                  begin
                  UnSetEndNode;
                  SetNodeEnd(Connexion.GetNode);
                  (MiddleNode as TNode).SetLine(ObjetDessous);
                  end;
               // Create and connect a new line
               Line:=TLine.Create(Image1);
               Line.SetNodeEnd(EndNode);
               Line.SetNodeBegin(MiddleNode);
               (EndNode as TNode).SetLine(Line);
               (MiddleNode as TNode).SetLine(Line);
               Line.Draw;
               ListOfObjets.Add(Line);
               // Begin line drawing
               // We say a line is drawn
               DrawLine:=True;
               // We ask the begin position to the node
               (MiddleNode as TNode).GetRealPosition(XLineBeg,YLineBeg);
               // We create the line
               CurrentLine:=TLine.Create(Image1);
               // We create the links between the line and the node
               CurrentLine.SetNodeBegin(MiddleNode);
               (MiddleNode as TNode).SetLine(CurrentLine);
               // We add the line in the objects list
               ListOfObjets.Add(CurrentLine);

               UpdateSpy;
               end
            else
            // Behavior in Move mode
               begin
               // If the begin is connected to one or 2 components
               // and we select nodes with the line
               // and we select the auto create nodes
               NodeComponentBegin:=((ObjetDessous as TLine).GetNodeBegin as TNode);
               if not(NodeComponentBegin.Father is TConnexion) and SelectLineWithNodes and
                  (LineWithComponent=1) then
                  begin
                  LineAutoDel:=(ObjetDessous as TLine);
                  // We create a new connexion and a new line at the begin of the line
                  // Create the connexion
                  ConnexionNewBegin:=TConnexion.Create(Image1);
                  // Align connexion on the begining node
                  NodeComponentBegin.GetRealPosition(PosX,PosY);
                  ConnexionNewBegin.SetPosition(PosX,PosY);
                  // Draw connexion
                  ConnexionNewBegin.Draw;
                  // Add it in object list
                  ListOfObjets.Add(ConnexionNewBegin);
                  UpdateSpy;
                  // Select it
                  ListOfSelectedObjets.Select(ConnexionNewBegin,X,Y);

                  // Disconnect line and component
                  NodeComponentBegin.UnsetLines((ObjetDessous as TLine));
                  (ObjetDessous as TLine).UnsetNodeBegin;

                  // Connect line with connexion
                  NodeConnexion:=ConnexionNewBegin.IsNodeUnder(PosX,PosY);
                  (ObjetDessous as TLine).SetNodeBegin(NodeConnexion);
                  NodeConnexion.SetLine(ObjetDessous);

                  // Create new line
                  LineNewBegin:=TLine.Create(Image1);
                  // Create links
                  LineNewBegin.SetNodeBegin(NodeComponentBegin);
                  LineNewBegin.SetNodeEnd(NodeConnexion);
                  NodeComponentBegin.SetLine(LineNewBegin);
                  NodeConnexion.SetLine(LineNewBegin);
                  // Add in objects list
                  ListOfObjets.Add(LineNewBegin);
                  UpdateSpy;

                  LineNewBegin.Draw;
                  end;
               // If the end is connected to one or 2 components
               // and we select nodes with the line
               // and we select the auto create nodes
               NodeComponentEnd:=((ObjetDessous as TLine).GetNodeEnd as TNode);
               if not(NodeComponentEnd.Father is TConnexion) and SelectLineWithNodes and
                  (LineWithComponent=1) then
                  begin
                  LineAutoDel:=(ObjetDessous as TLine);
                  // We create a new connexion and a new line at the end of the line
                  // Create connexion
                  ConnexionNewEnd:=TConnexion.Create(Image1);
                  // Align onnexion on end node
                  NodeComponentEnd.GetRealPosition(PosX,PosY);
                  ConnexionNewEnd.SetPosition(PosX,PosY);
                  // Draw connexion
                  ConnexionNewEnd.Draw;
                  // Add it in the object list
                  ListOfObjets.Add(ConnexionNewEnd);
                  UpdateSpy;
                  // Select it
                  ListOfSelectedObjets.Select(ConnexionNewEnd,X,Y);

                  // Disconnect line and component
                  NodeComponentEnd.UnsetLines((ObjetDessous as TLine));
                  (ObjetDessous as TLine).UnsetEndNode;

                  // Connect line and connexion
                  NodeConnexion:=ConnexionNewEnd.IsNodeUnder(PosX,PosY);
                  (ObjetDessous as TLine).SetNodeEnd(NodeConnexion);
                  NodeConnexion.SetLine(ObjetDessous);

                  // Create new line
                  LineNewEnd:=TLine.Create(Image1);
                  // Create links
                  LineNewEnd.SetNodeBegin(NodeConnexion);
                  LineNewEnd.SetNodeEnd(NodeComponentEnd);
                  NodeComponentEnd.SetLine(LineNewEnd);
                  NodeConnexion.SetLine(LineNewEnd);
                  // Add in object list
                  ListOfObjets.Add(LineNewEnd);
                  UpdateSpy;

                  LineNewEnd.Draw;
                  end;
               end;
            end;
            // We set the delta of position of each selected components and the mouse position
            ListOfSelectedObjets.SetDeltaCursor(X,Y);

            // We are going to move the selected components

            // We clean all
            FreeImage;
            // Draw grid
            if (CheckBox1.Checked) and (GridStep<>1) then DrawGrid;
            // We draw only non selected objects
            DrawComponentsNonSelect;

            // We save the back we all non selected components
            BackImageSave.Width:=Image1.Width;
            BackImageSave.Height:=Image1.Height;
            BackImageSave.Canvas.CopyMode:=cmSrcCopy;
            Image1.Canvas.CopyMode:=cmSrcCopy;
            BackImageSave.Canvas.CopyRect(Rect(0,0,Image1.Width,Image1.Height),
               Image1.Canvas,Rect(0,0,Image1.Width,Image1.Height));

            // We draw without saving the back
            ListOfSelectedObjets.Draw;

         end
      // else if there is no object under the mouse cursor
      else
         begin
         // If we are drawing a line, we add a connexion
         // to end the line and we draw another
         if DrawLine then
            begin
            // Create new connexion
            ComponentUnder:=TConnexion.Create(Image1);

            // Align on the grid
            if CheckBox1.Checked then
               ComponentUnder.SetPosition(Trunc(X/GridStep)*GridStep,Trunc(Y/GridStep)*GridStep)
            else
               ComponentUnder.SetPosition(X,Y);
            // Draw connexion
            ComponentUnder.Draw;
            // Add it in the object list
            ListOfObjets.Add(ComponentUnder);
            UpdateSpy;

            // Unselect all
            ListOfSelectedObjets.UnSelect;

            // The connexion is selected
            ListOfSelectedObjets.Select(ComponentUnder,X,Y);

            // Clean desktop
            FreeImage;
            // Draw grid
            if (CheckBox1.Checked) and (GridStep<>1) then DrawGrid;
            // Draw all non selected objects
            DrawComponentsNonSelect;
            // Save back
            BackImageSave.Width:=Image1.Width;
            BackImageSave.Height:=Image1.Height;

            BackImageSave.Canvas.CopyMode:=cmSrcCopy;
            Image1.Canvas.CopyMode:=cmSrcCopy;
            BackImageSave.Canvas.CopyRect(Rect(0,0,Image1.Width,Image1.Height),
            Image1.Canvas,Rect(0,0,Image1.Width,Image1.Height));
            // Draw it without its lines without saving back
            ComponentUnder.Draw;
            ComponentUnder.DrawLines;
            // Save its delta of position with the mouse
            ComponentUnder.GetPosition(XDown,YDown);
            DxDown:=XDown-X;
            DyDown:=YDown-Y;

            // Get the node under
            ComponentUnder.GetPosition(PosX,PosY);
            Node:=ComponentUnder.IsNodeUnder(PosX,PosY);
            CurrentLine.SetNodeEnd(Node);
            Node.SetLine(CurrentLine);
            CurrentLine.Draw;

            // To know we must not free the next line
            LineXOld:=-1;

            // The new line
            // Line drawn
            DrawLine:=True;
            // Ask begin position to the node
            Node.GetRealPosition(XLineBeg,YLineBeg);
            // Create line
            CurrentLine:=TLine.Create(Image1);
            // Create links
            CurrentLine.SetNodeBegin(Node);
            Node.SetLine(CurrentLine);
            // Add in object list
            ListOfObjets.Add(CurrentLine);

            // Draw all objest to put line under
            DrawObjets;

            UpdateSpy;
            end
         else
         // Else we drax the selected component
            begin
            // Unselect all other components
            ListOfSelectedObjets.UnSelect;

            // If no component tool is selected, a rectangle will be drawn
            if ComponentType=ncNone then
               begin
               GetCursorPos(Point);
               Point:=Image1.ScreenToClient(Point);
               Image1.Canvas.Pen.Color:=ClWhite;
               Image1.Canvas.Pen.Style:=PsSolid;
               Image1.Canvas.Pen.Mode:=PmXor;
               Image1.Canvas.Brush.Style:=bsClear;
               Image1.Canvas.Rectangle(Point.X,Point.Y,Point.X,Point.Y);
               XInit:=Point.X;
               YInit:=Point.Y;
               Rectangle:=True;
               end
            else
               begin
               // Else, we drop the component type selected as tool
               // We create the component matching the tool
               case ComponentType of
                  ncCapacitor   :ComponentUnder:=TCapacitor.Create(Image1);
                  ncResistor    :ComponentUnder:=TResistor.Create(Image1);
                  ncInductor    :ComponentUnder:=TInductor.Create(Image1);
                  ncSourceDC    :ComponentUnder:=TSourceDC.Create(Image1);
                  ncNeutral     :ComponentUnder:=TNeutral.Create(Image1);
                  ncComment     :begin
                                 ComponentUnder:=TComment.Create(Image1);
                                 ACaption:='Comment';
                                 APrompt:='Enter the comment :';
                                 if InputQuery(ACaption,APrompt,Value) then (ComponentUnder as TComment).AddLine(Value);
                                 end;
                  ncSourceAC    :ComponentUnder:=TSourceAC.Create(Image1);
                  ncTransformer :ComponentUnder:=TTransformer.Create(Image1);
                  ncZline       :ComponentUnder:=TZLine.Create(Image1);
                  ncMultipole   :ComponentUnder:=TMultipole.Create(Image1);                                    
                  end;
               // Add to the list of components
               ListOfComponents.Add(ComponentUnder);
               // Align on grid
               if CheckBox1.Checked then
                  begin
                  ComponentUnder.SetPosition(Trunc(X/GridStep)*GridStep,Trunc(Y/GridStep)*GridStep);
                  (ComponentUnder.Infos as TComment).SetPosition(Trunc(X/GridStep)*GridStep,Trunc(Y/GridStep)*GridStep);
                  end
               else
                  begin
                  ComponentUnder.SetPosition(X,Y);
                  (ComponentUnder.Infos as TComment).SetPosition(X,Y);                  
                  end;
               // Draw component
               ComponentUnder.Draw;
               // Add in object list
               ListOfObjets.Add(ComponentUnder);
               UpdateSpy;

               // The component is selected
               ListOfSelectedObjets.Select(ComponentUnder,X,Y);


               FreeImage;
               if (CheckBox1.Checked) and (GridStep<>1) then DrawGrid;
               DrawComponentsNonSelect;
               BackImageSave.Width:=Image1.Width;
               BackImageSave.Height:=Image1.Height;

               BackImageSave.Canvas.CopyMode:=cmSrcCopy;
               Image1.Canvas.CopyMode:=cmSrcCopy;
               BackImageSave.Canvas.CopyRect(Rect(0,0,Image1.Width,Image1.Height),
               Image1.Canvas,Rect(0,0,Image1.Width,Image1.Height));
               ComponentUnder.Draw;
               ComponentUnder.DrawLines;
               ComponentUnder.GetPosition(XDown,YDown);
               DxDown:=XDown-X;
               DyDown:=YDown-Y;
               end;
            end;
         end;
      end;
   end;

if Button=mbRight then
   begin
   if DrawLine then
      begin
      DrawLine:=False;
      // Clean the old line
      with Image1.Canvas do
         begin
         Pen.Color:=clBlack;
         Pen.Style:=psSolid;
         Pen.Mode:=PmNotXor;
         Brush.Style:=bsClear;
         MoveTo(XLineBeg,YLineBeg);
         LineTo(LineXOld,LineYOld);
         end;

      // Delete connected nodes
      CurrentLine.UnSetNodes;
      // Delete in ListOfObjets
      i:=0;
      while i<=ListOfObjets.Count-1 do
         begin
         if CurrentLine=TLine(ListOfObjets.Items[i]) then ListOfObjets.Delete(i)
         else Inc(i);
         end;
      CurrentLine.Free;
      UpdateSpy;

      // To know we must not free the next line
      LineXOld:=-1;
      end;
   end;
end;

procedure TDesktop.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
// If the user hit the Del key
if Key=46 then
   begin
   // We delete all selected objects
   ListOfSelectedObjets.Delete;
   Refresh;
   end;
end;

procedure TDesktop.Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
   i:integer;
   FoundComponent:Boolean;
   FoundNode:Boolean;
   FoundLine:Boolean;
   Component:TMyComponent;
   MyObjet:TObject;
   Node:TNode;
   Line:TLine;
begin
if InMove then Exit;
InMove:=True;

try

// If the right mouse button is down
if Down then
   begin
   // If some objects are moving
   // This makes a mess, therefore we don't allow the move when a line is currently drawn !
   if (ListOfSelectedObjets.Count<>0) and not DrawLine then
      begin
      // We restore the seved back where all non selected components are drawn
      Image1.Canvas.CopyRect(Rect(0,0,Image1.Width,Image1.Height),
         BackImageSave.Canvas,Rect(0,0,Image1.Width,Image1.Height));

      // We draw the objects at their new position
      ListOfSelectedObjets.Move(X,Y,CheckBox1.Checked);
      // We say to MouseUp an object has been moved
      ObjetMoved:=True;
      end
   else
      begin
      if Rectangle then
         begin
         // We clean the rectangle at the old position
         Image1.Canvas.Pen.Color:=ClWhite;
         Image1.Canvas.Pen.Style:=PsSolid;
         Image1.Canvas.Pen.Mode:=PmXor;
         Image1.Canvas.Brush.Style:=bsClear;
         Image1.Canvas.Rectangle(Xinit,Yinit,OldX,OldY);

         // We draw the rectangle at the new position
         Image1.Canvas.Pen.Color:=ClWhite;
         Image1.Canvas.Pen.Style:=PsSolid;
         Image1.Canvas.Pen.Mode:=PmXor;
         Image1.Canvas.Brush.Style:=bsClear;
         Image1.Canvas.Rectangle(Xinit,Yinit,X,Y);
         end;
      end;
   end
// If the right mouse button is up
else
   begin
   // Search what is under
   // By default, we found nothing
   FoundComponent:=False;
   FoundNode:=False;
   FoundLine:=False;
   // Loop on the component list
   for i:=ListOfObjets.Count-1 downto 0 do
      begin
      MyObjet:=TObjet(ListOfObjets[i]);
      // If the object is a component
      if (MyObjet is TMyComponent) then
         begin
         Component:=TMyComponent(ListOfObjets[i]);
         // If there is a component under
         if Component.IsUnder(x,y) then
            begin
            // Found a Component
            FoundComponent:=True;
            // If there is a node under
            Node:=Component.IsNodeUnder(x,y);
            if Node<>nil then FoundNode:=True;
            end;
         end;
      // If the object is a line
      if (MyObjet is TLine) then
         begin
         Line:=TLine(ListOfObjets[i]);
         // If there is a line under
         if Line.IsUnder(x,y) then FoundLine:=True;
         end;
      end;
   // Change mouse cursor shape depebding on what is under it
   Desktop.Cursor:=crDefault;
   // If it is a node in Draw mode, we show a cross
   if FoundNode or Foundline then
      begin
      if DrawMode then Desktop.Cursor:=crCross
      else Desktop.Cursor:=crHandPoint; 
      end
   // If it is a component we show a hand
   // But not if we draw a line
   else if (FoundComponent) and not DrawLine then
      Desktop.Cursor:=crHandPoint;

   // If a line is currently drawn, we draw it
   if DrawLine then
      begin
      with Image1.Canvas do
         begin
         // We clean the old line
         if LineXOld<>-1 then
            begin
            Pen.Color:=clBlack;
            Pen.Style:=psSolid;
            Pen.Mode:=PmNotXor;
            Brush.Style:=bsClear;
            MoveTo(XLineBeg,YLineBeg);
            LineTo(LineXOld,LineYOld);
            end;

         // We draw the new line
         Pen.Color:=clBlack;
         Pen.Style:=psSolid;
         Pen.Mode:=PmNotXor;
         Brush.Style:=bsClear;
         MoveTo(XLineBeg,YLineBeg);
         LineTo(X,Y);
         // We keep the old end of line coordinates
         LineXOld:=X;
         LineYOld:=Y;
         end;
      end;
   end;
OldX:=X;
OldY:=Y;

finally
InMove:=False;
end;
end;

procedure TDesktop.ListBox1Click(Sender: TObject);
begin
end;

// The right mouse button is released
procedure TDesktop.Image1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
   i,j,k:Integer;
   Nodei,Nodej:TNode;
   Xi,Yi,Xj,Yj:Integer;
   Trouve:Boolean;
   Objet:TObjet;
   Line:TLine;
   Node:TNode;
   x1,x2,y1,y2:Integer;
begin
if DoubleClick then
   begin
   DoubleClick:=False;
   Exit;
   end;

Down:=False;
if AskEnDrawLine then
   begin
   DrawLine:=False;
   AskEnDrawLine:=False;
   end;

if Rectangle then
   begin
   Rectangle:=False;

   // We clean the rectangle at the old position
   Image1.Canvas.Pen.Color:=ClWhite;
   Image1.Canvas.Pen.Style:=PsSolid;
   Image1.Canvas.Pen.Mode:=PmXor;
   Image1.Canvas.Brush.Style:=bsClear;
   Image1.Canvas.Rectangle(Xinit,Yinit,OldX,OldY);

   // We unselect all objects
   ListOfSelectedObjets.UnSelect;

   // We select the objects in the zone
   ListOfSelectedObjets.SelectRectangle(Xinit,Yinit,OldX,OldY);

   // Clean desktop
   FreeImage;
   // We draw all objects exept those selected and their linked lines
   if (CheckBox1.Checked) and (GridStep<>1) then DrawGrid;
   DrawComponentsNonSelect;

   // We save the back with all other components drawn
   BackImageSave.Width:=Image1.Width;
   BackImageSave.Height:=Image1.Height;
   BackImageSave.Canvas.CopyMode:=cmSrcCopy;
   Image1.Canvas.CopyMode:=cmSrcCopy;
   BackImageSave.Canvas.CopyRect(Rect(0,0,Image1.Width,Image1.Height),
      Image1.Canvas,Rect(0,0,Image1.Width,Image1.Height));

   // We draw them with their links without save the back
   ListOfSelectedObjets.Draw;
   end;

// If a component was moving, we create a line between both if nedded
// and if it not allready done
if ObjetMoved and AutoConnect and (ConnexionNewBegin=nil) then
   begin
   ObjetMoved:=False;
   // We stupidely check all nodes
   i:=0;
   while i<ListOfNodes.Count do
      begin
      j:=0;
      while (j<ListOfNodes.Count) and (j<>i) do
         begin
         Nodei:=TNode(ListOfNodes.Get(i));
         Nodej:=TNode(ListOfNodes.Get(j));
         // Check if the 2 nodes are not allready connected
         Trouve:=False;
         for k:=0 to ListOfObjets.Count-1 do
            begin
            Objet:=TObjet(ListOfObjets[k]);
            if Objet is TLine then
               begin
               Line:=TLine(ListOfObjets[k]);
               if ((Line.GetNodeBegin=Nodei) and
                  (Line.GetNodeEnd=Nodej)) or
                  ((Line.GetNodeBegin=Nodej) and
                  (Line.GetNodeEnd=Nodei)) then Trouve:=True;
               end;
            end;
         Nodei.GetRealPosition(Xi,Yi);
         Nodej.GetRealPosition(Xj,Yj);
         if (Xi=Xj) and (Yi=Yj) and not Trouve then
            begin
            CurrentLine:=TLine.Create(Image1);
            // We create links between line and nodes
            CurrentLine.SetNodeBegin(Nodei);
            Nodei.SetLine(CurrentLine);
            CurrentLine.SetNodeEnd(Nodej);
            Nodej.SetLine(CurrentLine);
            // We add in the objects list
            ListOfObjets.Add(CurrentLine);
            UpdateSpy;
            end;
         inc(j);
         end;

      inc(i);
      end;
   end;

// Lines and connections autocrated at the mousedown can be deleted at the mouse up
// If autocreated begin connection exits
if (ConnexionNewBegin<>nil) then
   begin
   Node:=ConnexionNewBegin.GetNode as TNode;
   Node.GetRealPosition(x1,y1);
   NodeComponentBegin.GetRealPosition(x2,y2);
   // and it is at the same place, we delete it
   if (x1=x2) and (y1=y2) then
      begin
      ListOfSelectedObjets.UnSelectObjet(LineNewBegin);
      ListOfSelectedObjets.DeleteObjet(LineNewBegin);
      // We disconnect the new line and the component
      NodeComponentBegin.UnsetLines(LineNewBegin);
      LineNewBegin.UnsetNodeBegin;
      // We  disconnect the new line and the connexion
      Node.UnsetLines(LineNewBegin);
      LineNewBegin.UnsetEndNode;
      // We delete the new line in the object list
      ListObjetsDelete(LineNewBegin);
      // We free the new line
      LineNewBegin.Free;

      // We unconnect the old line and the connection
      Node.UnsetLines(LineAutoDel);
      LineAutoDel.UnsetNodeBegin;

      ListOfSelectedObjets.UnSelectObjet(ConnexionNewBegin);
      ListOfSelectedObjets.DeleteObjet(ConnexionNewBegin);
      // We delete the connection in the objects list
      ListObjetsDelete(ConnexionNewBegin);
      // We delete the node in node list
      ListOfNodes.DeleteNode(TNode(ConnexionNewBegin.GetNode));

      // We free the connexion
      ConnexionNewBegin.Free;

      // We connect the line to the component node
      LineAutoDel.SetNodeBegin(NodeComponentBegin);
      // And the component node to the line
      NodeComponentEnd.SetLine(LineAutoDel);

      UpdateSpy;
      end;
   end;

// If autocreated end connection exits
if (ConnexionNewEnd<>nil) then
   begin
   Node:=ConnexionNewEnd.GetNode as TNode;
   Node.GetRealPosition(x1,y1);
   NodeComponentEnd.GetRealPosition(x2,y2);
   // and it is at the same place, we delete it
   if (x1=x2) and (y1=y2) then
      begin
      ListOfSelectedObjets.UnSelectObjet(LineNewEnd);
      ListOfSelectedObjets.DeleteObjet(LineNewEnd);
      // We disconnect the new line and the component
      NodeComponentEnd.UnsetLines(LineNewEnd);
      LineNewEnd.UnsetNodeBegin;
      // We  disconnect the new line and the connexion
      Node.UnsetLines(LineNewEnd);
      LineNewEnd.UnsetEndNode;
      // We delete the new line in the object list
      ListObjetsDelete(LineNewEnd);
      // We free the new line
      LineNewEnd.Free;

      // We unconnect the old line and the connection
      Node.UnsetLines(LineAutoDel);
      LineAutoDel.UnsetEndNode;

      ListOfSelectedObjets.UnSelectObjet(ConnexionNewEnd);
      ListOfSelectedObjets.DeleteObjet(ConnexionNewEnd);
      // We delete the connection in the objects list
      ListObjetsDelete(ConnexionNewEnd);
      // We delete the node in node list
      ListOfNodes.DeleteNode(TNode(ConnexionNewEnd.GetNode));

      // We free the connexion
      ConnexionNewEnd.Free;

      // We connect the line to the component node
      LineAutoDel.SetNodeEnd(NodeComponentEnd);
      // And the component node to the line
      NodeComponentEnd.SetLine(LineAutoDel);

      UpdateSpy;
      end;
   end;

ConnexionNewBegin:=nil;
ConnexionNewEnd:=nil;

// We test this for the moment
Refresh;
end;

// Recursive function to collect all the node linked together
// My first recursive function ! Cool ! ;-)
procedure LinkNodes(Node:TNode;NetNode:TList);
var
   i:Integer;
   Line:TLine;
   Node1:TNode;
begin
// Link NetNode and Node and check it
NetNode.Add(Node);
Node.SetChecked(True);

// Follow lines connected to this node
for i:=0 to Node.LinesCount-1 do
   begin
   Line:=TLine(Node.GetLine(i));
   // Get ne node at the other side of the line
   Node1:=Line.GetOtherNode(Node);
   if not Node1.GetChecked then
      LinkNodes(Node1,NetNode);
   end;

end;

procedure GenerateNetList(var NetNodesList:TList);
var
   i:Integer;
   Node:TNode;
   Found:Boolean;
   NetNode:TList;
begin
NetNodesList:=TList.Create;

// Uncheck all nodes
for i:=0 to ListOfNodes.Count-1 do
   begin
   Node:=ListOfNodes.Get(i);
   Node.SetChecked(False);
   end;

repeat
   Found:=False;
   // We look for the first non checked node
   i:=0;
   repeat
      Node:=ListOfNodes.Get(i);
      if not Node.GetChecked then
         Found:=True;
      Inc(i);
   until Found or not Node.GetChecked or (i=ListOfNodes.Count-1);

   if Found then
      begin
      NetNode:=TList.Create;
      // Main fonction
      LinkNodes(Node,NetNode);
      NetNodesList.Add(NetNode);
      end;

until not Found;
end;


procedure TDesktop.Gnrerlanetlist1Click(Sender: TObject);
var
   NetNode:TList;
   NetNodesList:TList;
   i,j:Integer;
   Node:TNode;

   T:TextFile;
   Path:string;
   Objet:TObjet;
   Component:TMyComponent;
begin
if ListOfObjets.Count=0 then Exit;

// Generate electrical nodes from schema nodes
GenerateNetList(NetNodesList);

try

SaveDialog1.Filter:='Fichiers netlist *.net|*.net';
if SaveDialog1.Execute then
   begin
   Path:=ExtractFilePath(Application.ExeName);
   AssignFile(T,Path+'test.net');
   Rewrite(T);

   Writeln(T,'<?xml version=''1.0'' encoding=''UTF16'' standalone=''yes''?>');

   // We generate the net list
   // NetNodes with connected components
   for i:=0 to NetNodesList.Count-1 do
      begin
      NetNode:=NetNodesList[i];
      Writeln(T,'<netnode>');
      for j:=0 to NetNode.Count-1 do
         begin
         // Components with the node number
         Node:=NetNode[j];
         if not (Node.Father is TConnexion) then
            begin
            Component:=TMyComponent(Node.Father);
            Writeln(T,'<component>');
            Writeln(T,'<name>'+Component.GetName+'</name>');
            Writeln(T,'<nodenumber>'+IntToStr(Node.GetNumber)+'</nodenumber>');
            Writeln(T,'</component>');
            end;
         end;
      Writeln(T,'</netnode>');
      end;

   // Component list with caracteristics
   Writeln(T,'<components>');
   for i:=0 to ListOfObjets.Count-1 do
      begin
      Objet:=ListOfObjets[i];
      // TODO : Automate this !
      if (Objet is TResistor) or (Objet is TSourceDC) or (Objet is TCapacitor) or
         (Objet is TInductor) or (Objet is TSourceAC) or (Objet is TTransformer) or
         (Objet is TZLine) or (Objet is TMultipole) then
         begin
         Component:=TMyComponent(Objet);
         Writeln(T,'<component>');
         Writeln(T,'<name>'+Component.GetName+'</name>');
         Writeln(T,'<parameters>');
         for j:=0 to Component.GetParametersCount-1 do
            begin
            Writeln(T,'<name>'+Component.GetParameterName(j)+'</name>');
            Writeln(T,'<value>'+FloatToStr(Component.GetParameterValue(j))+'</value>');
            end;
         Writeln(T,'</parameters>');
         Writeln(T,'</component>');         
         end;
      end;
   Writeln(T,'</components>');

   CloseFile(T);
   end;

finally
for i:=0 to NetNodesList.Count-1 do
   begin
   NetNode:=NetNodesList[i];
   NetNode.Free;
   end;
NetNodesList.Free;
end;
end;

procedure TDesktop.Quitter1Click(Sender: TObject);
begin
Close;
end;

procedure TDesktop.Image1DblClick(Sender: TObject);
var
   i:Integer;
   Objet:TObjet;
   Component:TMyComponent;
   TabItems:PTabItems;
   DlgParameter:TDlgParameter;
begin
// Needed under Windows/Delphi to avoid a mess between MouseDown et MouseUp !
// Will have to check if also needed under Linux/Lazarus
MySleep(200);
DoubleClick:=True;

if ListOfSelectedObjets.Count=1 then
   begin
   Objet:=ListOfSelectedObjets.GetObjet(0);
   if (Objet is TMyComponent) and not(Objet is TComment) then
      begin
      Component:=TMyComponent(Objet);
      New(TabItems);
      try
      IniTabItems(TabItems);

      for i:=0 to Component.GetParametersCount-1 do
         begin
         with TabItems^[i+1] do
            begin
            TypeItem:=tiReal;
            if Component.GetParameterUnit(i)<>'' then
               Msg:=Component.GetParameterName(i)+' ('+Component.GetParameterUnit(i)+') : '
            else
               Msg:=Component.GetParameterName(i)+' : ';            
            ValeurDefaut:=Component.GetParameterValue(i);
            ValeurMin:=0.1;
            ValeurMax:=100;
            end;
         end;

      DlgParameter:=TDlgParameter.Create(Application,TabItems,210);
      DlgParameter.Caption:=Component.GetName;
      if DlgParameter.ShowModal=mrOK then
         begin
         for i:=0 to Component.GetParametersCount-1 do
            Component.SetParameterValue(i,TabItems^[i+1].ValeurSortie);
         end
      else
         begin
         DlgParameter.Free;
         end;

      finally
      Dispose(TabItems);
      end;
      end;
   end;
end;

procedure TDesktop.New1Click(Sender: TObject);
begin
FreeImage;
FreeObjects;
// We draw the grid if needed
if (CheckBox1.Checked) and (GridStep<>1) then DrawGrid;
end;

procedure TDesktop.Showallinfos1Click(Sender: TObject);
var
   i:Integer;
   Objet:TObjet;
   MyComponent:TMyComponent;
begin
ShowValues:=not(ShowValues);
i:=0;
while i<=ListOfObjets.Count-1 do
   begin
   Objet:=ListOfObjets[i];
   if Objet is TMyComponent then
      begin
      MyComponent:=Objet as TMyComponent;
      if not(MyComponent.GetType=ncConnection) and
         not(MyComponent.GetType=ncNeutral) then
         begin
         MyComponent.SetShowValues(ShowValues);
         MyComponent.SetShowNodeIndex(ShowValues);
         end;
      end;
   inc(i);
   end;

Refresh;
end;

procedure TDesktop.SpeedButton7MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ComponentType:=ncComment;
end;

procedure TDesktop.FormClose(Sender: TObject; var Action: TCloseAction);
begin
// Disconnect to the plugin
FreeLibrary(HandlePlugin);

FreeObjects;
Action:=caFree;
end;

procedure TDesktop.Componentlist1Click(Sender: TObject);
begin
ComponentList.Show;
end;

procedure TDesktop.Configuration1Click(Sender: TObject);
var
   DlgConf:TDlgConf;
begin
DlgConf:=TDlgConf.Create(Application);
DlgConf.ShowModal;
end;

//function SaveForSimu(NetNodesList:TList;var Comm:PComm):Boolean;
function SaveForSimu(NetNodesList:TList):Boolean;
var
   T:TextFile;
   Objet:TObjet;
   i,j:Integer;
   PosX,PosY:integer;
   Node:TNode;
   Path:string;
   NetNode:TList;
   Component:TMyComponent;

   procedure AddLine(StrVal:string);
   begin
//   Getmem(Comm.Lines[Comm.Count],Length(StrVal));
//   StrCopy(Comm.Lines[Comm.Count],PChar(StrVal));
   Writeln(T,StrVal);
//   Comm.Lines[Comm.Count]:=StrNew(PChar(StrVal));
//   Inc(Comm.Count);
   end;


begin
AssignFile(T,'datas.tmp');
Rewrite(T);
try


//New(Comm);
//Comm.Count:=0;

AddLine('<?xml version=''1.0'' encoding=''UTF16'' standalone=''yes''?>');

// Components
for i:=0 to ListOfObjets.Count-1 do
   begin
   Objet:=TObjet(ListOfObjets[i]);
   if (Objet is TMyComponent) and not(Objet is TConnexion) and not(Objet is TComment) then
      begin
      AddLine('<component>');
      AddLine('<type>'+IntToStr(Objet.GetType)+'</type>');
      AddLine('<name>'+Objet.GetName+'</name>');
      AddLine('<parameternumber>'+IntToStr((Objet as TMyComponent).GetParametersCount)+'</parameternumber>');
      for j:=0 to (Objet as TMyComponent).GetParametersCount-1 do
         begin
         AddLine('<parametername>'+(Objet as TMyComponent).GetParameterName(j)+'</parametername>');
         AddLine('<parametervalue>'+FloatToStr((Objet as TMyComponent).GetParameterValue(j))+'</parametervalue>');
         end;
      AddLine('</component>');
      end;
   end;

// Nodes and links to components
for i:=0 to NetNodesList.Count-1 do
   begin
   AddLine('<netnode>');
   NetNode:=NetNodesList[i];
   for j:=0 to NetNode.Count-1 do
      begin
      Node:=NetNode[j];
      Component:=Node.GetFather as TMyComponent;
      if not(Component is TConnexion) and not(Component is TComment) then
         begin
         AddLine('<node>');
         AddLine('<component>'+Component.GetName+'</component>');
         AddLine('<index>'+IntToStr(Node.GetNumber)+'</index>');
         AddLine('</node>');
         end;
      end;
   AddLine('</netnode>');
   end;

finally
CloseFile(T);
end;
end;

procedure TDesktop.Simulate1Click(Sender: TObject);
var
   NetNodesList:TList;
   NbNodes,NbComponents,NbActiveComponents,Dim:Integer;
   i,j,k,l,Typ:Integer;
   Objet:TObjet;
   Component:TMyComponent;
   Node1,Node2:TNode;
   NetNode:TList;
   Path,Line,Line1,CompoName:string;
   T:TextFile;

   NbInfos:Integer;
   InfoName,InfoUnit:string;
   InfoValue:Double;
   Node:TNode;

   InfoType:Integer;
   RealPart,ComplexPart:Double;
   NbInfosReal,NbInfosComplex:Integer;
   OK:Boolean;
begin
if not TestCompatiblity then
   begin
   ShowMessage('Error : Engine uncompatible with network');
   Exit;
   end;

if ListOfObjets.Count=0 then Exit;

// Hide previous results
i:=0;
while i<=ListOfObjets.Count-1 do
   begin
   Objet:=ListOfObjets[i];
   if Objet is TMyComponent then
      begin
      Component:=Objet as TMyComponent;
      if not(Component.GetType=ncConnection) and
         not(Component.GetType=ncNeutral) then
         begin
         Component.SetShowValues(False);
         Component.SetShowNodeIndex(False);
         end;
      end;
   inc(i);
   end;

// Generate netlist (electrical nodes from schema nodes)
GenerateNetList(NetNodesList);

// Save Network without positions
//SaveForSimu(NetNodesList,Comm);
SaveForSimu(NetNodesList);

// Call Simulation Engine
//Engine:=TEngine.Create;
//Engine.Execute(Comm);
//Execute(Comm);
OK:=Execute;

if not OK then
  begin
  ShowMessage(GetErrorMsg);
  Exit;
  end;

//******************************************
//************* Get results ****************
//******************************************
AssignFile(T,'results.tmp');
Reset(T);
try

//l:=0;

//Writeln(T,'<?xml version=''1.0'' encoding=''UTF16'' standalone=''yes''?>');
//Inc(l);
Readln(T,Line);

// Writeln(T,'<component>');
//Line:=Comm.Lines[l];
//Inc(l);
Readln(T,Line);
if Line<>'<component>' then
   begin
   ShowMessage('Error : No component in the result file');
   Exit;
   end;

// Components
while Line='<component>' do
   begin
   // Writeln(T,'<type>'+Objet.GetType+'</type>');
   //Line:=Comm.Lines[l];
   Inc(l);
   Readln(T,Line);
   Typ:=StrToInt(Copy(Line,7,Length(Line)-13));
   // Writeln(T,'<name>'+Objet.GetName+'</name>');
   //Line:=Comm.Lines[l];
   //Inc(l);
   Readln(T,Line);
   CompoName:=Copy(Line,7,Length(Line)-13);
   // Find Component
   Component:=ListOfComponents.GetByName(CompoName) as TMyComponent;
   //  Writeln(T,'<infosnumber>1</infosnumber>');
   //Line:=Comm.Lines[l];
   //Inc(l);
   Readln(T,Line);
   Line:=Copy(Line,14,Length(Line)-27);
   NBInfos:=StrToInt(Line);
   NBInfosReal:=0;
   NBInfosComplex:=0;
//   Component.SetInfosRealCount(StrToInt(Line));
//   for i:=0 to Component.GetInfosRealCount-1 do
   for i:=0 to NBInfos-1 do
      begin
      // Writeln(T,'<infoname>Current</infoname>');
      //Line:=Comm.Lines[l];
      //Inc(l);
      Readln(T,Line);
      Line:=Copy(Line,11,Length(Line)-21);
      Component.SetInfoName(i,Line);
      // Writeln(T,'<infotype>Current</infotype>');
      Readln(T,Line);
      Line:=Copy(Line,11,Length(Line)-21);
      InfoType:=StrToInt(Line);
      Component.SetInfoType(i,InfoType);
      // Writeln(T,'<infounit>Current</infounit>');
      Readln(T,Line);
      Line:=Copy(Line,11,Length(Line)-21);
      InfoUnit:=Line;
      Component.SetInfoUnit(i,InfoUnit);
      // Writeln(T,'<infovalue>'+FloatToStr(MatDouble2^[i]^[0])+'</infovalue>');
      //Line:=Comm.Lines[l];
      //Inc(l);
      case InfoType of
    ncReal:begin // Real
           Readln(T,Line);
           Line:=Copy(Line,12,Length(Line)-23);
           Inc(NbInfosReal);
           Component.SetInfosRealCount(NbInfosReal);
           Component.SetInfoRealValue(i,StrToFloat(Line));
           end;
 ncComplex:begin // Complex
           Readln(T,Line);
           Line:=Copy(Line,12,Length(Line)-23);
           Readln(T,Line1);
           Line1:=Copy(Line1,12,Length(Line1)-23);
           Inc(NbInfosComplex);
           Component.SetInfosComplexCount(NbInfosComplex);
           Component.SetInfoComplexValue(i,StrToFloat(Line),StrToFloat(Line1));
           end;
         end;
      end;

   //Inc(l);
   Readln(T,Line);
   //Line:=Comm.Lines[l];
   //Inc(l);
   Readln(T,Line);
   end;

// NetNodes
i:=0;
while Line='<netnode>' do
   begin
   NetNode:=NetNodesList[i];

   // Writeln(T,'<infosnumber>1</infosnumber>');
   //Line:=Comm.Lines[l];
   //Inc(l);
   Readln(T,Line);
   NbInfos:=StrToInt(Copy(Line,14,Length(Line)-27));
   NbInfosReal:=0;
   NbInfosComplex:=0;

   for j:=0 to NbInfos-1 do
      begin
      // Writeln(T,'<infoname>Voltage</infoname>');
      //Line:=Comm.Lines[l];
      //Inc(l);
      Readln(T,Line);
      InfoName:=Copy(Line,11,Length(Line)-21);

      Readln(T,Line);
      Line:=Copy(Line,11,Length(Line)-21);
      InfoType:=StrToInt(Line);

      Readln(T,Line);
      Line:=Copy(Line,11,Length(Line)-21);
      InfoUnit:=Line;

      case InfoType of
    ncReal:begin // Real
           // Writeln(T,'<infovalue>'+FloatToStr(MatDouble2^[NbActiveComponents+i]^[0])+'</infovalue>');
           //Line:=Comm.Lines[l];
           //Inc(l);
           Readln(T,Line);
           InfoValue:=StrToFloat(Copy(Line,12,Length(Line)-23));
           Inc(NbInfosReal);
           end;
 ncComplex:begin // Complex
           Readln(T,Line);
           RealPart:=StrToFloat(Copy(Line,12,Length(Line)-23));
           Readln(T,Line1);
           ComplexPart:=StrToFloat(Copy(Line1,12,Length(Line1)-23));
           Inc(NbInfosComplex);           
           end;
         end;

      for k:=0 to NetNode.Count-1 do
         begin
         Node:=NetNode[k];
         Node.SetInfosRealCount(NbInfosReal);
         Node.SetInfosComplexCount(NbInfosComplex);         
         Node.SetInfoName(j,InfoName);
         Node.SetInfoType(j,InfoType);
         Node.SetInfoUnit(j,InfoUnit);
         case InfoType of
            ncReal:Node.SetInfoRealValue(j,InfoValue);
            ncComplex:Node.SetInfoComplexValue(j,RealPart,ComplexPart);
            end;
         end;
      end;

   //Inc(l);
   Readln(T,Line);
   //Line:=Comm.Lines[l];
   //Inc(l);
   Readln(T,Line);

   Inc(i);
   end;

finally
CloseFile(T);
end;

// Show results
i:=0;
while i<=ListOfObjets.Count-1 do
   begin
   Objet:=ListOfObjets[i];
   if Objet is TMyComponent then
      begin
      Component:=Objet as TMyComponent;
      if not(Component.GetType=ncConnection) and
         not(Component.GetType=ncNeutral) then
         begin
         Component.SetShowValues(True);
         Component.SetShowNodeIndex(True);
         end;
      end;
   inc(i);
   end;
ShowValues:=True;

// Free Comm
//for i:=0 to Comm.Count-1 do
//   begin
//   Freemem(Comm.Lines[i]);
//   StrDispose(Comm.Lines[i]);
//   end;
//Dispose(Comm);

Refresh;
end;

function FindFiles(Dir,Ext:string):TStringList;
var
 	sr:TSearchRec;
   List:TStringList;
begin
List:=TStringList.Create;
// Search string resources in pas files}
if FindFirst(Dir+'*.'+Ext,faAnyFile,sr)=0 then  //nolang
	repeat
   List.Add(sr.name);
   until findNext(sr)<>0;
   FindClose(sr);
Result:=List;
end;

procedure TDesktop.FormShow(Sender: TObject);
var
   List:TStringList;
   i:Integer;
begin
// Update engine list
List:=FindFiles('Engines/','dll');
for i:=0 to List.Count-1 do
   ComboBox1.Items.Add(Copy(List[i],1,Length(List[i])-4));
ComboBox1.Text:=ComboBox1.Items[0];

if List.Count=0 then ComboBox1.Text:='AC';

List.Free;

UpdateGUIForEngine;
end;

procedure TDesktop.SpeedButton8MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ComponentType:=ncSourceAC;
end;

procedure TDesktop.SpeedButton9MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ComponentType:=ncInductor;
end;

function TDeskTop.TestCompatiblity:Boolean;
var
   OK:Boolean;
   i:Integer;
   Component:TMyComponent;   
begin
OK:=True;
for i:=0 to ListOfComponents.Count-1 do
   begin
   Component:=ListOfComponents.Get(i) as TMyComponent;
   if not AllowedComponent(Component.GetType) then OK:=False;
   end;
Result:=OK;
end;

procedure TDesktop.SpeedButton10MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ComponentType:=ncCapacitor;
end;

procedure TDesktop.UpdateGUIForEngine;
var
   i,PosButton:Integer;
begin
// Disconnect to the old Plugin
if HandlePlugin<>0 then FreeLibrary(HandlePlugin);

// Connect to the New plugin
HandlePlugin:=LoadLibrary(PChar('Engines\'+ComboBox1.Text+'.dll'));
if HandlePlugin<>0 then
   begin
   Execute             :=TExecute(GetProcAddress(HandlePlugin,'Execute'));
   AllowedComponent    :=TAllowedComponent(GetProcAddress(HandlePlugin,'AllowedComponent'));
   GetParamCount       :=TGetParamCount(GetProcAddress(HandlePlugin,'GetParamCount'));
   GetParamName        :=TGetParamName(GetProcAddress(HandlePlugin,'GetParamName'));
   GetParamUnit        :=TGetParamUnit(GetProcAddress(HandlePlugin,'GetParamUnit'));
   SetParamValue       :=TSetParamValue(GetProcAddress(HandlePlugin,'SetParamValue'));
   GetParamDefaultValue:=TGetParamDefaultValue(GetProcAddress(HandlePlugin,'GetParamDefaultValue'));
   GetErrorMsg         :=TGetErrorMsg(GetProcAddress(HandlePlugin,'GetErrorMsg'));
   end
else
   begin
   ShowMessage('Error : Can''t find '+ComboBox1.Text+'.dll plugin');
   Exit;
   end;

// If there is parameters, show the engine parameters dialog
i:=GetParamCount;
if i>0 then Engine1.Visible:=True
else Engine1.Visible:=False;

// Display only allowed components
SpeedButton10.Visible:=False;
SpeedButton2.Visible:=False;
SpeedButton5.Visible:=False;
SpeedButton6.Visible:=False;
SpeedButton8.Visible:=False;
SpeedButton9.Visible:=False;
SpeedButton11.Visible:=False;
if AllowedComponent(ncCapacitor)   then SpeedButton10.Visible:=True;
if AllowedComponent(ncResistor)    then SpeedButton2.Visible:=True;
if AllowedComponent(ncSourceDC)    then SpeedButton5.Visible:=True;
if AllowedComponent(ncNeutral)     then SpeedButton6.Visible:=True;
if AllowedComponent(ncSourceAC)    then SpeedButton8.Visible:=True;
if AllowedComponent(ncInductor)    then SpeedButton9.Visible:=True;
if AllowedComponent(ncTransformer) then SpeedButton11.Visible:=True;
if AllowedComponent(ncZLine)       then SpeedButton12.Visible:=True;
if AllowedComponent(ncMultipole)   then SpeedButton13.Visible:=True;

PosButton:=SpeedButton7.Top+SpeedButton7.Height+2;
if SpeedButton2.Visible then
   begin
   SpeedButton2.Top:=PosButton;
   PosButton:=PosButton+SpeedButton2.Height+2;
   end;
if SpeedButton6.Visible then
   begin
   SpeedButton6.Top:=PosButton;
   PosButton:=PosButton+SpeedButton6.Height+2;
   end;
if SpeedButton5.Visible then
   begin
   SpeedButton5.Top:=PosButton;
   PosButton:=PosButton+SpeedButton5.Height+2;
   end;
if SpeedButton8.Visible then
   begin
   SpeedButton8.Top:=PosButton;
   PosButton:=PosButton+SpeedButton2.Height+2;
   end;
if SpeedButton9.Visible then
   begin
   SpeedButton9.Top:=PosButton;
   PosButton:=PosButton+SpeedButton9.Height+2;
   end;
if SpeedButton10.Visible then
   begin
   SpeedButton10.Top:=PosButton;
   PosButton:=PosButton+SpeedButton10.Height+2;
   end;
if SpeedButton11.Visible then
   begin
   SpeedButton11.Top:=PosButton;
   PosButton:=PosButton+SpeedButton11.Height+2;
   end;
if SpeedButton12.Visible then
   begin
   SpeedButton12.Top:=PosButton;
   PosButton:=PosButton+SpeedButton12.Height+2;
   end;
if SpeedButton13.Visible then
   begin
   SpeedButton13.Top:=PosButton;
   PosButton:=PosButton+SpeedButton13.Height+2;
   end;

if not TestCompatiblity then ShowMessage('Warning : Engine uncompatible with network')
end;

procedure TDesktop.ComboBox1Change(Sender: TObject);
begin
UpdateGUIForEngine;
end;

// Change engine parametrers
// Exemple : Frequency for AC network
procedure TDesktop.Parameters1Click(Sender: TObject);
var
   TabItems:PTabItems;
   DlgParameter:TDlgParameter;
   i:Integer;
begin
New(TabItems);
try
IniTabItems(TabItems);

for i:=0 to GetParamCount-1 do
   begin
   with TabItems^[i+1] do
      begin
      TypeItem:=tiReal;
      Msg:=GetParamName(i)+' ('+GetParamUnit(i)+') : ';
      ValeurDefaut:=GetParamDefaultValue(i);
      ValeurMin:=0.1;
      ValeurMax:=10000;
      end;
   end;

DlgParameter:=TDlgParameter.Create(Application,TabItems,210);
DlgParameter.Caption:='Engine parameters';
if DlgParameter.ShowModal=mrOK then
   begin
   for i:=0 to GetParamCount-1 do
      SetParamValue(i,TabItems^[i+1].ValeurSortie);
   end
else
   begin
   DlgParameter.Free;
   end;

finally
Dispose(TabItems);
end;
end;

procedure TDesktop.SpeedButton11MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ComponentType:=ncTransformer;
end;

procedure TDesktop.SpeedButton12MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ComponentType:=ncZLine;
end;

procedure TDesktop.Save1Click(Sender: TObject);
begin
SaveSchema(SchemaName);
end;

procedure TDesktop.SpeedButton13MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
ComponentType:=ncMultipole;
end;

end.

